﻿# You can place the script of your game in this file.

init:
    
    # opoints at nice.  Make sure this works.  Fix creds after applying music.  Mess with windows.
    
    image bg 01 = "bg01.png"
    image bg 02 = "bg02.png"
    image bg 03 = "bg03.png"
    image bg 04 = "bg04.png"
    image bg 05a = "bg05a.png"
    image bg 05b = "bg05b.png"
    image bg 06 = "bg06.png"
    
    image cg 01 = "cg01.png"
    image cg 02 = "cg02.png"
    image cg 03 = "cg03.png"
    image cg 04 = "cg04.png"
    image cg 05 = "cg05.png"
    image cg 06 = "cg06.png"
    image cg 07 = "cg07.png"
    image cg 08 = "cg08.png"
    image cg 09 = "cg09.png"
    image cg 10 = "cg10.png"
    image cg 11 = "cg11.png"
    image cg 12 = "cg12.png"
    image cg 13 = "cg13.png"
    image cg 14 = "cg14.png"
    image cg 15 = "cg15.png"
    
    image m1a = "m1a.png"
    image m2a = "m2a.png"
    image m3a = "m3a.png"
    image m1e = "m1e.png"
    image m2e = "m2e.png"
    image m3e = "m3e.png"
    image m1h = "m1h.png"
    image m2h = "m2h.png"
    image m3h = "m3h.png"
    image m1n = "m1n.png"
    image m2n = "m2n.png"
    image m3n = "m3n.png"
    image m1s = "m1s.png"
    image m2s = "m2s.png"
    image m3s = "m3s.png"
    image m1sa = "m1sa.png"
    image m2sa = "m2sa.png"
    image m3sa = "m3sa.png"
    
    image o1a = "o1a.png"
    image o2a = "o2a.png"
    image o3a = "o3a.png"
    image o1h = "o1h.png"
    image o2h = "o2h.png"
    image o3h = "o3h.png"
    image o1n = "o1n.png"
    image o2n = "o2n.png"
    image o3n = "o3n.png"
    image o1u = "o1u.png"
    image o2u = "o2u.png"
    image o3u = "o3u.png"
    
    image s1h = "s1h.png"
    image s2h = "s2h.png"
    image s1n = "s1n.png"
    image s2n = "s2n.png"
    image s1s = "s1s.png"
    image s2s = "s2s.png"
    image s2nb = "s2nb.png"
    
    # Declare characters used by this game.
    
    $ o = Character('{i}Odette{/i}', color="#140718")
    $ mer = Character('{i}Mermaid{/i}', color="#140718")
    $ q = Character('{i}???{/i}', color="#140718")
    $ p = Character('{i}Pixie{/i}', color="#140718")
    $ e = Character('{i}Erin{/i}', color="#140718")
    $ s = Character('{i}Sybelle{/i}', color="#140718")
    $ m = Character('{i}Mira{/i}', 
        color="#140718",
        window_left_padding=205,
        show_side_image=ConditionSwitch (
            "express == 'm1a' ", "m1a.png", 
            "express == 'm2a' ", "m2a.png",
            "express == 'm3a' ", "m3a.png",
            "express == 'm1e' ", "m1e.png", 
            "express == 'm2e' ", "m2e.png",
            "express == 'm3e' ", "m3e.png",
            "express == 'm1h' ", "m1h.png", 
            "express == 'm2h' ", "m2h.png",
            "express == 'm3h' ", "m3h.png",
            "express == 'm1n' ", "m1n.png", 
            "express == 'm2n' ", "m2n.png",
            "express == 'm3n' ", "m3n.png",
            "express == 'm1s' ", "m1s.png", 
            "express == 'm2s' ", "m2s.png",
            "express == 'm3s' ", "m3s.png",
            "express == 'm1sa' ", "m1sa.png", 
            "express == 'm2sa' ", "m2sa.png",
            "express == 'm3sa' ", "m3sa.png",
            xalign=0.0, yalign=1.0,
        )
    )

# The game starts here.
label start:
    
    $ nice = False
    $ grope = False
    $ sexy = False
    $ cute = False
    $ opoints = False
    $ pixiepoints = False
    $ creative = False
    $ earlysybelle = False
    $ opoints2 = False
    $ magic = False
    $ distract = False
    
    scene black
    
    play music "Summer Day.mp3"
    show bg 06 with fade
    $ express = 'm1sa'
    m "Hmm... There's something not quite right about this."
    
    $ express = "m1a"
    m "Maybe a little more to the left."
    
    $ express = "m1n"
    m ".................."
    
    show cg 01 with dissolve
    $ express = "m1h"
    m "And voila!  Mira, you are a genius!"
    m "That potions display has never looked better!"
    
    hide cg 01 with dissolve
    $ express = "m1sa"
    m "...."
    "And unfortunately I'm the only one who is ever going to see it."
    "For some reason, no one ever comes to my shop."
    "Yeah, it's out in the middle of nowhere, but the salesman said that would make my products seem more valuable... or something."
    "He was very persuasive."
    "And it was the only place I could afford so it's not like I had other options."
    m "*Sigh*"
    
    $ express = "m1n"
    m "Well, I guess I could sweep the floor again..."
    stop music fadeout 2
    "I snap to attention as the bell attached to the front entrance of the shop goes off."
    m "Eh?"
    
    $ express = "m1a"
    m "EEEEEHHH?"
    m "C-c-could this be?!"
    "A customer!  At long last-- a real, live, breathing customer!"
    
    $ express = "m1h"
    m "Hell--"
    
    show o1n with moveinright
    stop music fadeout 2
    play music "moonlight hall.mp3"
    m "Oh."
    
    hide o1n
    show o1h
    o "Yo."
    o "Long time no see, Mira."
    
    hide o1h
    show o1n
    "Ugh... This is bad.  Of all the people it could have been, why did it have to be her?"
    "Maybe if I just ignore her, she'll go away."
    
    hide o1n
    show o1a
    o "Hey!  Is that any way to treat a guest?"
    "Ignoring..."
    
    hide o1a
    show o1n
    o "No wonder your shop has no customers."
    "*Snap*"
    
    $ express = "m1e"
    m "If you were a customer I would treat you with the proper respect!"
    m "However, I happen to know that you can make everything I sell at this shop and you can do it better, Ms. Top Rank in every class Odette!"
    
    $ express = "m1a"
    m "Thus, I assume that you've come to ridicule and humiliate me, and further thus, I see no reason to be nice to you!"
    
    hide o1n
    show o1h
    o "..........Further thus?"
    
    $ express = "m1e"
    m "See?  You're doing it already!"
    m "You never could stop picking on me!"
    
    hide o1h
    show o1u
    o  "Picking on you?  I never--"
    m "{i} That's your grade?  Did you even look at the text?  Next time read it properly and make sure you understand all of the study questions or you'll stay dumb forever.{/i}"
    o "...Ah, well--"
    m "{i} Wow!  You messed up that potion?  It's one of the easiest ones.  Start over and make sure you boil the water before you add the ingredients.  It does make a difference.{/i}"
    
    hide o1u
    show o1a
    o "That--"
    m "I've got more where that came from-- a lot more."
    
    hide o1a
    show o1u
    o "*Sigh*"
    o "...Is that why you dropped out?"
    
    $ express = "m1sa"
    m ".............."
    
    $ express = "m1a"
    m "N-no! Of course not!  I wouldn't let something stupid like that get to me!"
    o ".............."
    
    hide o1u
    show o1n
    o "Oh good.  I guess I don't have to feel guilty then."
    "Like you'd ever feel guilty about something like that. Grrrrr..."
    o "Anyway, you have a shop now.  I was surprised when I heard that."
    m "What? Because I suck at magic?"
    
    hide o1n
    show o1u
    o "No.  It isn't that.  I mean, it's not like it's particularly hard to make the knick knacks you've stocked up on."
    
    $ express = "m1e"
    m "*GLAAAAAAAAAAAAAARE*"
    
    hide o1u
    show o1a
    o "Ah, that came out wrong!  I meant that--"
    
    hide o1a
    show o1u
    m "You said exactly what you meant!  This shop is basic, is it?  People can get this kind of stuff anywhere?"
    m "Well, not everyone can be a genius like you!"
    m "Just because you can make whatever you want with absolutely zero effort doesn't mean that everyone else can!"
    
    $ express = "m1sa"
    m "I'm trying!  I have been trying really hard!"
    m "This may be all I have to show for all my work, but what right do you have to come and trample on the little bit that I have managed?"
    o "......I..."
    
    $ express = "m1a"
    m "It might not seem like it, but I have improved and you know what? I will continue to improve until I become a greater witch than you!"
    m "Then I'll be the one looking down on you!"
    
    hide o1u
    show o1n
    o "Is that so?"
    o "Very funny, Mira.  You can't even brew a simple love potion and you think you'll be able to surpass me someday?"
    
    hide o1n
    show o1h
    o "What a joke."
    
    $ express = "m1e"
    m "........I can."
    
    hide o1h
    show o1u
    o "What?"
    
    $ express = "m1a"
    m "I- I can make a love potion!"
    
    hide o1u
    show o1h
    o "Really now?  This is interesting.  Why don't you prove it then?"
    
    hide o1h
    show o1n
    o "Make a love potion right here and now."
    
    $ express = "m1sa"
    m "*Gulp* Y-yeah?  Well, maybe I will..."
    "Who am I kidding?  I can't make a love potion?  But I'm not about to admit that to her!"
    "Maybe I can make Odette back down."
    
    $ express = "m1a"
    m "And when I do YOU have to drink it to make sure it works properly."
    m "I'll be sure to make fun of you until the end of time after I give you the antidote."
    o "You know what?  You're on."
    
    $ express = "m1sa"
    m "W-what?!"
    o "I don't believe you can do it.  When I drink that potion, nothing will happen."
    
    $ express = "m1a"
    m "....................F-fine."
    "This is bad.  This is really bad."
    "I can't make a love potion!  I mean, I know the theory behind it, but every time I've tried it has ended up a failure."
    
    hide o1n
    show o1h
    o "I'm waiting."
    "Well, I guess I can't back out now.  I'll just have to try my best."
    "And there is always a chance that it will turn out to be poison or something.  That wouldn't be so bad."
    m "Clear out of the shop for a minute.  I don't need you looking over my shoulder if I'm going to do this."
    
    hide o1h
    show o1u
    o "Really?"
    m "Yes really.  Now go."
    "Odette rolls her eyes, but ulitmately obeys the command."
    
    stop music fadeout 2
    hide o1u with moveoutright
    "I immediately rush over to my bookshelf and start looking through books.  Love potion, love potion, love potion."
    "Frantically I flip through the pages until I see the right recipe."
    
    $ express = "m1sa"
    m "Take a deep breath, Mira.  You can do this."
    "I grab some water I've bottled and pour it into a pot that I set over a burner.  The first step, as in most potions, requires me to boil it to remove any impurities from the base liquid."
    "I hastily read the next step and grab the listed ingredients from my cabinets before dropping them one by one into the water."
    "That done, I go back to the book and read some more.  This particular set of instructions calls for a rose."
    "Unfortunately, I don't have any in stock at the moment.  They aren't the most commonly used ingredient after all."
    "I bite my lip, wondering if I'm going to have to confess to Odette that I don't know what I'm doing."
    "No way!  I'm not doing that EVER!"
    
    $ express = "m1a"
    m "Come on, Mira!  Think!"
    
    $ express = "m1n"
    m "Would a substitute flower work?"
    "Well, there's no time like the present to find out."
    "I go over to my cabinets once again and rummage through the various flowers I actually do have in stock."
    "There's a crumpled blue one in the back I can't identify.  I grab it figuring I won't be using it in any other potions anyway."
    "I throw it into the water and a puff of smoke escapes from the pot."
    "Hmm... That's the right reaction.  Will this actually work?"
    "I stir everything together until it's the right consistency and then close my eyes for the final step."
    "You're supposed to convey the feelings you want to infuse into the potion.  Since this is a love potion I focus on sending lovey dovey thoughts to the liquid."
    "Yeah, it's weird, and I've never quite gotten the hang of it, but I'm giving an old fashioned try."
    "I attempt to imagine a handsome man with long flowing hair and a half unbottoned shirt-- the ones they depict on the covers of those trashy romance novels that have been becoming popular lately."
    "The image doesn't really excite me or anything, but I don't really have experience with that kind of thing so it's what I've got to work with."
    "I try to summon up some kind of affection for this made up character, but what I can manage ends up being pretty limited.  I just hope it's enough."
    o "You done yet?"
    "My mood turns sour and I groan.  Stupid Odette.  If she was making the potion she probably would have been finished by now."
    "Why can't I be as good as her?  What does she do so differently that makes everything she does come out right?"
    "I hate her.  I hate her and her perfect perfectness.  I wish she'd fail-- even just once-- so that she'd know a fraction of what I've had to go through."
    o "I'm coming back in."
    
    $ express = "m1e"
    m "Wait a min--"
    
    play music "Moonlight Hall.mp3"
    show o1h with moveinright
    o "Too late.  Time's up.  Let's see what you've got."
    m "Agh!  Don't look!  It's not ready yet!"
    
    hide o1h
    show o1n
    o "Hmm... It's actually the right color."
    
    $ express = "m1a"
    m ".....!!!"
    
    $ express = "m1h"
    m "O-of course it is!"
    m "I told you I've improved.  I can make love potions in my sleep now!"
    
    hide o1n
    show o1h
    o "Really?  Is that why you have a reference book out?"
    
    $ express = "m1sa"
    m "Ugh..."
    
    hide o1h
    show o1n
    o "Haha.  It's alright.  There's nothing wrong with checking the steps.  I'm actually impressed you managed to follow them this time."
    
    hide o1n
    show o1u
    o "I mean, in school you always seemed to do better if you were winging it.  Following instructions was never your strong point."
    
    $ express = "m1a"
    m "Yeah, yeah, rub it in."
    
    hide o1u
    show o1n
    o "Well, I suppose it's time to make good on my word."
    
    stop music fadeout 2
    "She picks a the ladel off of the table and then scoops up some of the potion before bringing it to her lips.  She takes a sip and then waits a moment."
    
    hide o1n
    show o1u
    o "Hmm... That's odd.  The taste is a bit off."
    
    $ express = "m1sa"
    m "................"
    o "Well, it looked right.  I thought you really had it this time."
    o "Maybe I made you nervous or something."
    o "I'll see if I can figure out what went wrong."
    "She puts her hand over the pot and then closes her eyes.  She mumbles a spell, but nothing happens."
    o "What?  That's... strange."
    "She tries again, but the effect is the same.  She's unable to conjure up the magic she needs to finish the spell."
    
    hide o1u
    show o1a
    "Her eyes widen and she turns towards me, an angry expression on her face."
    o "What did you put in that potion?"
    m "J-just the regular stuff."
    o "If it was just the regular stuff how do you explain the fact that my magic is gone?"
    m "Y-your magic?"
    "Odette's magic is gone?  So... she can't do spells or make potions right now?  That's..."
    
    play music "Monkeys Spinning Monkeys.mp3"
    "The best news I've ever heard!"
    
    $ express = "m1s"
    m "Pffft."
    
    $ express = "m1h"
    m "Ahahahahahahahahahahaha!"
    o "It's not funny!"
    
    $ express = "m1s"
    m "I think it's hilarious."
    o "You won't think it's so hilarious when I bust in your skull!"
    
    $ express = "m1h"
    m "Oh?  Is little Odette upset?"
    o "Of course I'm upset!  Imagine how you'd feel!"
    
    stop music
    $ express = "m1sa"
    "She's got me there."
    "I sigh.  As funny as it is when it's Odette, I know I wouldn't like it if I suddenly lost all my magical ability."
    
    play music "Summer Day.mp3"
    m "Fine."
    m "I guess I'd be really upset too."
    o "Thank you."
    o "Now will you please reverse it?"
    "And here's the dreaded part-- the part where I have to admit I had no clue what I was doing when I made that potion."
    
    hide o1a
    show o1u
    o "You don't know how to, do you?"
    "Ah good.  I didn't have to say it.  I nod my head solemnly, hoping she doesn't yell at me.  Odette lets out a deep sigh, but instead of chewing me out she focuses on fixing the problem."
    o "Alright, let's start with the basics.  What did you put in the potion?"
    m "Well, all the ingredients listed in the book.  Oh, but I didn't have a rose so I used an old blue flower that I couldn't identify."
    
    hide o1u
    show o1a
    o "You used an ingredient that you couldn't identify?"
    m "...Yes."
    "She looks a little mad.  I change the subject quickly."
    m "So, does what I made sound like a potion you know anything about?"
    o "No.  I'm afraid not.  I think we'd better give the school a call.  Principal Sybelle might have an idea."
    
    $ express = "m1a"
    m "R-right.  I'll do that now."
    
    hide o1a with dissolve
    "I pull a small mirror out of my bra.  Odette blushes slightly and gives me a look as if I'd done something I should be embarrassed about."
    m "What?  My outfit doesn't have any pockets."
    "She continues looking displeased, but focuses her attention on the mirror.  I roll my eyes and do the same before muttering--"
    m "Mirror mirror."
    "It responds with a blue glow."
    m "Contact: Principal Sybelle of the Magic Academy."
    "For a moment, nothing happens, but then a woman with shoulder length brown hair and glasses appears."
    e "Umm... Hello.  It's Mira, right?"
    
    $ express = "m1sa"
    m "You're not Ms. Sybelle."
    e "Haha, yeah.  Afraid not.  It's just lil' ol' assistant Erin.  Sorry about that.  Ms. Sybelle is on vacation so all her calls are redirected to me for the time being."
    e "So on that note, can I help you with something?"
    m "Err..."
    o "Mira here botched a love potion and now my powers are gone.  We need to figure out how to reverse it."
    e "Eh?  She tried to use a love potion on you?"
    o "Well, no.  I challenged her to make one and--"
    e "So, you wanted her to use a love potion on you so that you would get affectionate with her?"
    e "That seems like a really backwards way of confessing your feelings."
    o "T-that wasn't it at all!"
    o "I didn't think she could do it anyway!"
    e "So you just drank a potion knowing that it would probably result in some strange effect?"
    o "A-alright, so it wasn't the brightest idea."
    
    $ express = "m1h"
    m "Heh."
    o "Shut up right now or I will punch you in the face, Mira."
    
    $ express = "m1s"
    m "............."
    o "Look, can we focus on the problem?  We need to find a potion that follows these instructions, but uses a blue flower instead of a rose and results in loss of magical ability."
    "She lifts the book towards the mirror and Erin gives it a look.  Erin writes down a few notes and then scratches her chin before responding."
    e "Hmm..."
    e "I might have an idea.  It will take me a bit to look it up though."
    e "You guys should call it a day.  I'll contact you sometime tomorrow with the details, alright?"
    o "We really have to wait?"
    e "Look missy, it sounds like you've been messing with some high level magic!  It's not going to be reversed easily.  You're going to have to muster up some patience, okay?"
    o "Ugh... fine.  I guess I don't have a choice."
    e "Don't look so down, Odette.  We'll figure it out."
    o "Yeah, yeah.  You're right of course."
    e "Right!  Anyway, I'm off!  Take care you two!"
    "And with that, Erin disappears from the mirror."
    
    stop music fadeout 2
    
    show o1u with dissolve
    o "Looks like I'll be staying here tonight then."
    
    $ express = "m1e"
    m "W-W-WHAT?!"
    o "Well, I can't just teleport back home now, can I?  And I'm pretty sure you haven't mastered that spell so you can't take me home."
    
    $ express = "m1sa"
    m "That's true, but--"
    
    hide o1u
    show o1n
    o "But what?  I'm not walking all the way down the mountain.  You do realize how out in the middle of nowhere you are, don't you?"
    "Way to kick me when I'm down."
    
    $ express = "m1a"
    m "Fine.  You can stay-- but only until we get your powers back, got it?"
    o "Got it.  It's not like I expected differently."
    
    play music "Moonlight Hall.mp3"
    o "Aaaaaaanyway..."
    
    hide o1n
    show o1h
    o "I call the bed!"
    
    hide o1h with moveoutleft
    "She darts for the back room, which leads to a set of stairs that goes to the second level where my bedroom and bathroom are."
    
    hide bg 06 with dissolve
    show bg 05b with dissolve
    "I chase after her, but she's quick.  She beats me to my room and flops down on my bed, stretching out so that she occupies it completely."
    "I bite my lip, wondering if I should really just take it."
    "I mean, I guess she is technically a guest and whether or not she deserved it I did do something rather rotten to her earlier."
    "Then again, it is Odette..."
    
    menu:
        
        "Just let her have the bed.":
            jump together
    
        "This means war!":
            jump war
            
label together:
    
    $ nice = True
    $ opoints = True
    
    stop music fadeout 2
    
    $ express = "m1n"
    m "Well, good night I guess."
    
    show o1u with dissolve
    o "Eh?  You're just letting me have it?"
    m "Yeah..."
    o "..."
    
    play music "Village Dawn.mp3"
    
    o "We could just share it.  That way you don't have to sleep on the couch or floor or wherever."
    "My mind goes blank for a minute.  I have a hard time processing the fact that Odette is willing to share."
    "It seems nice... Too nice..."
    
    $ express = "m1a"
    m "This isn't a trap, is it?"
    
    hide o1u
    show o1a
    o "Of course not!"
    
    hide o1a
    show o1u
    o "*Sigh* You really don't like me, do you?"
    o "Well, just do whatever."
    
    hide o1u with dissolve
    "She rolls over and turns towards the wall so that her back is towards me.  There is a big gap left for me."
    "I hesitate a little longer, but then climb into bed with Odette."
    "I'm not really sure how I should feel.  It's kind of weird laying next to a living, breathing person."
    "Eventually, I hear the sound of Odette's shallow breathing.  I assume she's asleep.  I should be asleep too, but I just can't relax for some reason."
    o "Mira..."
    "I practically jump out of the bed, my heart racing due to shock.  It takes me awhile to realize she's sleep talking."
    o "Sorry..."
    "Eh? She's sorry?  For what?  That doesn't sound like Odette at all.  She never apologizes... EVER."
    "But I'm pretty sure I heard her right..."
    "Even if she doesn't say it out loud... Maybe she does actually regret some of her actions."
    "Maybe I was in the wrong some of the time too..."
    "I guess I'll try being nicer to Odette.  One day we might be able to come to an understanding."
    "...Or maybe that's just wishful thinking."
    "Well, I can worry about it tomorrow.  Time to get some sleep."
    
    stop music fadeout 2
    
    hide bg 05b with dissolve
    show bg 05a with dissolve
    "*Yawn*"
    
    play music "Summer Day.mp3"
    
    "It's pretty bright outside.  I guess that means that it's time to get up."
    "Huh? Wait..."
    show cg 02 with dissolve
    "I-I guess that's not going to be as easy as I thought."
    m "Umm... Odette..."
    "She moans and then moves closer.  That wasn't exactly the reaction I was looking for."
    "Still... She's really soft.  It's not a bad feeling."
    "Heh.  I bet men would kill to be in this position."
    "I relax and just accept it for the time being.  She'll wake up soon enough.  It's not like there were going to be any customers anyway."
    "Agh.  That thought irritates me a bit."
    "I shift my body a little, trying to get more comfortable.  While I'm doing this, Odette's eyes flutter open.  We stare each other down for a moment before I decide to say something."
    
    $ express = "m1s"
    m "Morning."
    
    hide cg 02 with dissolve
    show o1u with dissolve
    "She blushes and her eyes widen as she comprehends the situation."
    o "Ahh!  I should have warned you!  I'm used to sleeping with stuffed animals so I get kind of clingy in my sleep."
    
    $ express = "m1h"
    m "You sleep with stuffed animals?"
    o "Y-yeah...  Please keep that to yourself."
    
    $ express = "m1n"
    "Normally I'd be rubbing that in her face, but I did kind of decide that I'd be nicer to Odette.  I guess I'll just have to let it slide."
    m "Fine, fine.  It's not like there is anyone around to tell anyway."
    
    hide o1u
    show o1n
    o "That's pretty sad."
    m "...Yup."
    m "Anyway, I'm going to head downstairs and start cooking some breakfast.  You do can just do whatever."
    
    hide o1n
    show o1h
    o "I'll help then."
    m "You'll help?"
    
    hide o1h
    show o1n
    o "Yeah, I'll help.  I'm pretty good, you know?  Cooking is kind of like making potions after all."
    
    $ express = "m1a"
    m "Then you're helping because you're worried that I suck at it?"
    o "No.  I'm helping because I want to.  Gee.  Why do you have to turn everything I say into a put down?"
    
    $ express = "m1n"
    m "..."
    o "Anyway, are we making breakfast or not?"
    
    $ express = "m1s"
    m "Y-yeah.  I guess so."
    hide o1n
    hide bg 05a with dissolve
    show bg 06 with dissolve
    
    jump morning1
    
label war:
    
    $ grope = True
    
    "I pull one of my pillows out from under her arm and then whack her across the face with it."
    "Odette glares at me for a second and then returns the favor with a second pillow."
    
    $ express = "m1a"
    m "H-hey!"
    
    show o1a
    o "Don't you dare hey me!  You started this!  I'm just finishing it!"
    
    $ express = "m1e"
    m "Grr..."
    
    hide o1a with dissolve
    "We trade several blows as our tempers rise."
    "I charge Odette, intending to end this battle once and for all."
    "However, things don't go quite as planned..."
    
    show cg 03 with dissolve
    "Halfway through the motion I slip and crash into Odette full force, knocking us both back onto the bed."
    "That would have been awkward enough by itself, but fate had decided to make it even more so..."
    "My hand lands right on Odette's boob."
    
    stop music
    
    "She stares at me wide eyed.  My mind has gone blank so all I can seem to do is the same."
    o "........"
    m "......."
    o "......."
    m "Y-you're really soft."
    
    play music "Moonlight Hall.mp3"
    o "P-P-P-PERVERT!"
    
    hide cg 03 with dissolve
    "Odette drops the pillow and slaps me hard across the face."
    "She then proceeds to throw any object within arms length at me as I back away quickly."
    "I make it to the door and shut it behind me just as one of my books hits the door."
    
    stop music fadeout 2
    
    m "Geez.  What's her problem?!  It was an accident!"
    "I don't hear any more objects being thrown, but I imagine that it's still not safe to enter."
    "I guess that means I'm sleeping on the couch tonight."
    
    $ express = "m1sa"
    m "*Sigh*"
    m "My life sucks."
    
    hide bg 05b with dissolve
    show bg 06 with dissolve
    "I head downstairs and accept my dismal fate."
    "........"
    
    play music "Summer Day.mp3"
    "I wake up on the couch the next morning.  Some hair sticks to the side of my face as I sit up and stretch."
    "I can only hope we fix this thing soon so I can have my bed back."
    "Slowly, I get up off the couch and head over to the kitchen to see if I can get a bite to eat."
    
    jump morning1
    
label morning1:
    
    "Breakfast is a fairly pleasant affair."
    if grope:
        "Odette came and joined me."
        "When I tried to talk about last night she told me to just forget about it so I guess everything's alright between us for the time being."
    
    if nice:
        "I practice being nicer to Odette and she seems to return the favor."
        "I begin to think that we might be able to be friends at one point, but then she goes and points out how I can improve my cooking."
        "We have a few minor spats, but I guess for us that's pretty civil."

    "Anyway, the food turns out delicious and I forget all of my complaints about Odette for a moment."
    "As we finish up, my mirror starts to glow blue.  I guess that's Erin calling.  I look down at it and accept the call."
    
    stop music fadeout 2
    
    $ express = "m1n"
    m "Mirror mirror.  Show me the caller."
    "As expected Erin appears in the mirror.  She has circles under her eyes and I suspect she pulled an all nighter."
    
    play music "Expeditionary.mp3"
    
    e "You screwed up big time, Ms. Mira."
    
    $ express = "m1a"
    m "Gee thanks."
    e "You ended up making a magic negating potion.  That's some serious magic, you know.  Only top witches like Ms. Sybelle are allowed to make it."
    
    $ express = "m1sa"
    m "Wait a minute!  You mean I could get in trouble for making it?"
    e "Well, it was an accident, right?  As long as you can prove that it should be okay.  Should be is the key phrase."
    o "It was an accident.  I can testify if it comes to that."
    e "In any case, you might want to try and solve this quietly so that it doesn't get to that point in the first place."
    o "How do we do that?"
    e "Well, I looked up an antidote.  You're not going to like this, but it requires three rare ingredients: pixie dust, a mermaid scale, and dragon's blood."
    e "You're going to have to collect those before you make the potion."
    o "No chance you have those ingredients just lying around?"
    m "Nope.  I would have gone bankrupt buying those ingredients."
    o "*Sigh*"
    o "Erin, do you know where we can find those items?"
    e "Well, judging by the stats I got from the mirror, you're actually located in a pretty good spot for that."
    e "Mira's shop is located in the middle of a forest that just so happens to be in the Erasmas Mountain range.  And I bet there happens to be at least one body of water up there too!"
    e "You can find pixies in really forested areas and you can find mermaids in most natural water sources."
    e "The dragon will be the most complicated one.  You'll probably have to fight it before it will part with some of its blood."
    e "Still, finding it should be easy enough.  I've been hearing reports for about a year that one has made its nest up on the highest peak."
    m "W-wait!  You mean I've been living right next to a fire breathing dragon for a whole year?!"
    o "There you go, Mira.  Maybe that's why nobody visits."
    e "Eh? That might be part of it, but--"
    o "Ahahahaha!  Anyway, we better start looking for those ingredients.  Bye Erin."
    e "Oh, okay.  Bye.  I'll let you know if I come up with anything new."
    
    stop music fadeout 2
    
    show o1n
    "As Erin disappears from the mirror, Odette turns to me, a determined look on her face."
    
    play music "Summer Day.mp3"
    
    o "So which one are we doing first?"
    m "Well, my vote is not for the dragon's blood."
    
    hide o1n
    show o1u
    o "We'll leave it for last.  Maybe Erin can find an alternative or something in the meantime.  Anyway, that doesn't have to stop us from getting the other ingredients."
    
    $ express = "m1n"
    m "Right.  Let's see..."
    
    $ express = "m1a"
    m "Let's go after the mermaid scale first.  I know a lake that's probably a prime spot for mermaids."
    m "We'll pass through a bit of forest on the way so we can kind of look for pixies on the way.  If we happen to find some on the way there, well, win-win."
    
    hide o1u
    show o1n
    o "Okay, sounds like a plan."
    
    $ express = "m1sa"
    m "We should probably take swimsuits.  We might have to get into the water to go after the mermaids."
    
    hide o1n
    show o1u
    o "...."
    hide o1u
    
    if grope:
        
        show o1a
        o "Pervert."
        
        $ express = "m1e"
        m "W-what?  Oh, come on!  That was an accident!"
        o "..."
        "She's still glaring at me..."
        
        $ express = "m1a"
        m "*Sigh*"
        m "Can we please just focus?"
        o "Fine."
        hide o1a
        
    show o1u    
    o "Do you have an extra one I can borrow?"
    
    $ express = "m1n"
    m "I think so.  I'll go rummage through my closet and see what I can find."
    
    hide o1u
    show o1n
    o "Right.  I'll wait for you here."
    m "Okay then."
    
    hide o1n with dissolve
    hide bg 06 with dissolve
    show bg 05a with dissolve
    "I head upstairs to my room and head over to my closet.  It's been awhile since I have needed a swimsuit, but I should have a couple laying around."
    "I seem to remember buying one not too long ago...  The salesman was very convincing."
    "Ah, here it is."
    "............"
    "I seem to remember it covering more..."
    "I need to stop listening to salesmen."
    "Well, let's see what else I have.  Maybe we won't have to resort to that."
    "I move aside some more clothes and eventually find what I'm looking for.  The second swimsuit is, in a lot of ways, the exact opposite."
    "It's a brightly colored one piece with a ridiculous amount of frills.  The swimsuit covers enough, but it's kind of childish."
    "I could probably stick Odette with either one."
    "But it's hard to say which one is less embarrassing..."
    "Well, Mira, it's time to pick the lesser of two evils.  I think I'll stick Odette with..."
    
    menu:
        "the overly sexy bikini.":
            $ sexy = True
            jump swimsuit
        
        "the overly frilly one piece.":
            $ cute = True
            jump swimsuit
        
label swimsuit:
        
        "Alright.  Now I just have to convince Odette to wear it."
        "I head downstairs with both swimsuits."
        
        hide bg 05a with dissolve
        show bg 06 with dissolve
        
        show o1n with dissolve
        o "So?  Any luck?"
        m "Y-yeah.  I found a couple.  Umm... Here.  This one is yours."
        if sexy:
            "I hand over the sexy suit and wait for her reply."
            
            hide o1n
            show o1u
            o "...................................................."
            "Agh!  I can't take the silence.  I have to ask."
            m "W-what?  Something wrong?"
            
            hide o1u
            show o1n
            o "I'm just surprised that you'd wear something like this.  It's pretty slutty."
            
            if grope:
                
                $ express = "m1e"
                m "And that's why I thought it'd suit you."
                
                hide o1n
                show o1u
                "Odette sighs, messaging her forehead as if she has a headache."
                o "Very mature, Mira."
                
                hide o1u
                show o1n
                o "Still, I suppose I would look better in it than you."
                
                hide o1n
                show o1h
                o "It can't be helped really.  All right.  I'll wear this one."
                "Ugh.  I can't stand her attitude."
                "Well, I guess I should just be grateful that she's going to wear it."
                hide o1h
           
            if nice:
                "I promised to be nice.  I promised to be nice.  I promised to be nice."
                "After reminding myself of that several times I manage to avoid saying anything mean in response."
                
                $ express = "m1sa"
                m "Well...  I've never actually worn it...  It, uh, ended up being more revealing than I thought it'd be."
                m "Sorry."
                o "Eh, it's not really a big deal."
                o "You're the only one who is going to see me in it anyway so I guess I'll wear it."
                "Whew.  Glad that went okay."
                "I was kind of expecting her to yell at me or something."
                hide o1n
                
        if cute:
            "I hand over the cute suit and wait for her reply."
            if grope:
                
                hide o1n
                show o1u
                o "You... actually bought this?  What are you, five?"
                
                $ express = "m1e"
                m "T-the salesman was very persuasive!"
                o "Sheesh.  This swimsuit suits you much more than it suits me."
                
                hide o1u
                show o1n
                o "You're just like a little kid."
                
                $ express = "m1a"
                m "Yeah, well, that's the swimsuit I'm giving you, Ms. Mature, so wear it or go naked!"
                
                hide o1n
                show o1h
                o "You'd like that, wouldn't you, pervert?"
                
                $ express = "m1e"
                m "Urg!  Not this again!  It was a mistake, okay?  A M-I-S-T-A-K-E!"
                o "Suuuuure.  Whatever you say, Mira."
                m "Just shut up and wear the swimsuit."
                
                hide o1h
                show o1n
                o "Yeah.  I guess I can do that."
                "Good, because I was going to strangle you if you didn't!"
                hide o1n
                
            if nice:
                
                hide o1n
                show o1u
                o ".................................................."
                "Odette actually looks pretty distraught.  Maybe I should have let her take the other one..."
                "She sighs."
                o "I don't pull off cute things very well..."
                
                $ express = "m1h"
                m "Pfft.  Yeah right."
                
                hide o1u
                show o1a
                o "I'm serious!  They always seem a bit off when I wear them!"
                
                $ express = "m1s"
                m "Look, I'm sure you'll look super cute in it.  So don't worry!"
                
                hide o1a
                show o1u
                o "Ugh.  You don't get it."
                o "Still, I suppose it'll serve it's purpose well enough.  It doesn't need to look good."
                "She's right.  I don't get it.  Still, she'll wear it so mission accomplished."
                hide o1u
    
        show o1n
        $ express = "m1n"
        m "Alright.  What else do we need before heading out?"
        o "You might want to pack some of your more useful potions.  They could come in handy."
        
        $ express = "m1sa"
        m "But--"
        o "No one is here to buy them so you might as well use them, Mira."
        
        $ express = "m1a"
        m "You're really mean."
        
        hide o1n
        show o1h
        o "You'll be alright.  You can try selling the ones we don't use when we get back."
        m "Fine."
        
        hide o1h
        show o1n
        "I let out a loud sigh, but then go to my cabinents.  I look them over and grab the ones I can forsee using and a few other ones chosen at random."
        "Hey, you never know, right?"
        "There is also a dagger on the shelf.  I grab that for good measure."
        "I put the new items in a pack next to my swimsuit and then put it on my back before heading back over to Odette."
        
        $ express = "m1n"
        m "Anything else?"
        o "I think that should be good.  You ready?"
        m "As ready as I'll ever be."
        o "Okay."
        hide o1n with dissolve
        
        stop music fadeout 2
        
        hide bg 06 with dissolve
        show bg 01 with dissolve
        "That decided, the two of us head outside.  It doesn't take us long to get into a really forested part of the mountains."
        "We stick to the plan and head in the direction of the lake, but I can already tell that Odette is looking around in the hopes of seeing a pixie."
        
        show o1n with dissolve
        o "This really is prime territory for pixies... Have you ever seen any?"
        m "From time to time.  I try not to get too close because of their nasty habit of causing mischief though."
        o "Ah, yes.  We'll have to watch out for that.  I've heard that--"
        
        play music "Expeditionary.mp3"
        
        "She freezes, eyes fixating on a single spot.  It takes me awhile, but when I hear the tell tale giggle I notice a pixie in the distance."
        
        hide o1n with moveoutleft
        "Odette goes after the creature in a rush."
        
        $ express = "m1e"
        m "Odette!  Wait!"
        "I start after her, but I stop short as something pulls my hair.  I groan and whirl around to see yet another pixie-- in even closer proximity."
        "At this point I have to make a choice--"
        
        menu:
            
            "Keep after Odette.":
                jump chaseodette
                
            "Try to nab the pixie.":
                jump chasepixie
    
label chaseodette:
    
    "I ignore the pixie and go after Odette."
    "If this is some kind of pixie game then they would just love to split us up.  I'm not falling for that!"
    m "Hey! Odette!  Calm down!  We need to--"
    "Whack!"
    "I trip over a root and land face first in the dirt."
    "It hurts, but I don't have time to whine over a few scratches.  I get up and look for Odette."
    "Unfortunately, both her and the pixies are long gone."
    
    $ express = "m1sa"
    m "*sigh*"
    m "Well, she can't have gotten far.  I'll just have to see if I can track her down."
    "There are footprints on the ground.  That would be the obvious clue to follow."
    "Except, there is a long strand of black hair caught on a tree in a different direction entirely."
    "It definitely looks like hers.  But who else would leave undeniably human shoeprints?"
    "These woods don't exactly get a lot of visitors.  I mean, nobody bothers to visit my shop so..."
    "Ugh.  Is it just my shop they avoid?"
    "Focus Mira!  Footprints or hair?"
    
    menu:
        
        "Follow the footprints.":
            jump hotsprings
            
        "Go in the direction where you saw the hair.":
            $ opoints = True
            jump cliff
            
label hotsprings:
    
    $ earlysybelle = True
    hide bg 01 with dissolve
    show bg 04 with dissolve
    
    stop music fadeout 2
    
    "I follow the footprints for a long time before I start to think that maybe I made the wrong choice."
    "I would have found Odette by now if these were hers."
    "And, well, this set of footprints has led me all the way to a natural hot spring."
    "I doubt the pixie would have led Odette here."
    "I collapse to my knees and start sobbing in frustration."
    
    play music "Village Dawn.mp3"
    
    show s2nb with dissolve
    q "Hey now, don't cry."
    q "I'm sure you're much prettier when you smile."
    "Before me is a mature looking woman with green eyes and white hair she has tied back in a sophisticated looking style."
    "I don't recognize her at first, but after looking at her carefully I realize I know her."
    m "M-Ms. Sybelle?"
    s "Oh? You know me?"
    
    hide s2nb
    show s2n
    "She snaps her fingers and a pair of glasses appears on her face.  She strokes her chin thoughtfully before she places me."
    
    hide s2n
    show s2s
    s "Mira, right?"
    
    hide s2s
    show s2n
    s "I wondered what happened to you."
    m "Er, well, I wasn't really doing well so... I kind of just left without telling anyone."
    "I blush brightly in embarrassment.  Admitting that to the principal of the school isn't easy."
    s "I see."
    s "Well, everyone learns in different ways.  Perhaps the classroom format wasn't for you."
    s "Still, I hope that you haven't given up on magic entirely."
    
    $ express = "m1a"
    m "No ma'am!  I'm more determined than ever!"
    
    hide s2n
    show s2h
    "She chuckles slightly.  At first I think she's making fun of me, but then--"
    s "Good.  I'm glad then.  Keep that spirit-- it will take you far."
    
    hide s2h
    show s2n
    s "Anyway, I assume you weren't crying for no reason.  What's the matter?  Maybe I can help."
    "I tear up recalling my recent set of misfortunes."
    
    $ express = "m1sa"
    m "Well, I was in the forest with Odette when we got split up."
    m "I tried following a set of footprints, but they just led me here.  I have no idea where she is now."
    s "Ah, well..."
    s "I'm afraid those footprints were mine.  Sorry about that."
    m "I see.  I should have guessed."
    
    hide s2n
    show s2s
    s "But I think I can help you find your friend."
    
    $ express = "m1n"
    m "What? Really?"
    s "Actually, I'm sure you could do it yourself if you calmed down and thought things through."
    
    $ express = "m1sa"
    m "I could do it myself?"
    "She smiles knowingly."
    "Well, she's the principal."
    "I take a deep breath and try to think of how I can find Odette on my own."
    
    $ express = "m1n"
    m "Ah!"
    
    $ express = "m1sa"
    m "Ah..."
    "I'm a little peeved that I didn't think of the solution earlier."
    s "Got it?"
    
    $ express = "m1s"
    m "Yeah, I did."
    
    hide s2s with dissolve
    "I pull the mirror out of my bra and hold it out in front of me."
    m "Mirror, Mirror.  Contact: Odette!"
    "It's only a few seconds before Odette appears in the mirror."
    o "Hey!  What happened to you?  I thought you were right behind me."
    
    $ express = "m1n"
    m "It's a long story.  Anyway, where are you?"
    o "Well, I got a bit lost and ended up back at your house."
    o "I was going to call you earlier to tell you I got the pixie dust, but my mirror broke.  I'm using a spare I found at your shop."
    
    $ express = "m1s"
    m "You got the pixie dust?  That's great!"
    o "No luck on your side?"
    m "Nah, but that's okay now that I know you're okay."
    o "You were worried?"
    
    $ express = "m1sa"
    m "Yeah, totally."
    o "That makes a little happy."
    o "Anyway, I think we should call it a day.  We can look for the other ingredients tomorrow, okay?"
    
    $ express = "m1s"
    m "Right.  I'll meet you back at the shop later."
    o "Sounds good.  I'll see you then."
    m "Bye."
    
    show s2s with dissolve
    "That ends the call between us.  I look up at Sybelle, grateful that I'd run into her."
    m "Thank you so much!"
    
    hide s2s
    show s2h
    s "It's not a problem."
    
    hide s2h
    show s2s
    s "Anyway, I've thought of a way you can repay me."
    
    $ express = "m1sa"
    m "Repay you?"
    s "Yup."
    s "Take a dip in the hot springs with me.  I could use the company."
    "Well, that's no hardship.  I can spend a little bit of time in the spring and still make it back before nightfall."
    
    $ express = "m1h"
    m "Alright!  You have a deal!"
    
    hide s2s
    show cg 08 with dissolve
    
    "Sybelle gets into the water first and I follow soon after once I've removed my clothes."
    "I lean back against the rocks as the steam rises into my face and hair."
    "I had been so worried only moments ago, but now I feel my body relax."
    "I spend a bit more time with Sybelle at the hot springs before heading back to the shop and going to bed."
    
    hide cg 08 with dissolve
    hide bg 04 with dissolve
    
    jump task2
    
label cliff:
    
    $ opoints2 = True
    
    "I know that that's Odette's hair!  I'm so sure of it that I decide to go in the direction it indicates."
    "I just hope she didn't make too many turns or else I'll lose her."
    
    show o1a with dissolve
    "It takes me awhile, but eventually I see Odette."
    "I let out a relieved sigh before I realize that there is nothing to be relieved about."
    "Odette is so focused on catching the pixie that she has failed to notice that she's next to a cliff."
    
    $ express = "m1e"
    m "Odette!  Watch out!"
    "I don't know if she hears me or not."
    
    hide o1a with moveoutleft
    "Either way, she lunges at the pixie.  She manages to grab it, but steps too close to the edge."
    "The ground shifts and she's unable to recover in time.  Odette is sent right over the cliff."
    "I charge to the edge and manage to grab Odette's hand just in time."
    o "Mira!"
    "She looks up at me with wide eyes.  She's clearly panicked."
    o "What do I do?"
    m "Just hold on."
    "I'm not strong enough to pull her up.  To make things worse, I'm sliding towards the cliff too.  There is nothing nearby to hold onto."
    "I try to think of a spell to use, but I've never been good at using magic under pressure."
    "If Odette had her power I'm sure she would have been able to do something."
    "That's probably why she's at such a loss right now."
    "She doesn't have her powers so she doesn't know what to do."
    "I should calm her down first.  I'm not calm myself, but I can't let her know that."
    m "Okay Odette, I need you to calm down.  Take a deep breath and then let go of the pixie."
    o "What? But we need her for--"
    m "Forget the pixie dust!  You're more important!"
    "She blushes slightly.  She hesitates for a moment, but then releases the pixie.  It flies off in a flash."
    m "Okay, give me your other hand too."
    "Odette nods and obeys.  That distributes her weight better and makes holding onto her a bit more manageable."
    m "Right.  I'm going to put all my strength into pulling you up now."
    "Odette frowns."
    m "Don't worry!  I'm not going to let you fall!"
    m "On three!  One... Two... Three!"
    
    show cg 07 with dissolve
    "With all the effort I can muster I pull her up."
    
    stop music fadeout 2
    "She lands right on top of me.  I'm too tired to care.  I just lay there and pant when..."
    
    play music "Village Dawn.mp3"
    "Odette hugs me."
    "She sobs against my shoulder.  I guess she really was scared... not that I can blame her."
    "I'm not exactly sure what to do, but I pat her on the back in an attempt to comfort her."
    o "Thank you."
    "That surprises me.  She never says those words lightly."
    m "Hey, don't worry about it."
    o "And... I'm sorry.  I almost had it, but..."
    m "I said don't worry about it."
    m "We'll have other opportunities.  Besides, there isn't much point in collecting the ingredients if you get yourself killed."
    o "Yeah... I guess you're right."
    if nice:
        o "Mira..."
        m "Yeah?"
        "She leans in and kisses me on the cheek."
        "I blush, not sure what to make of it."
        "She doesn't seem to be looking for a response though."
    
    hide cg 07 with dissolve 
    show o1n  with dissolve
    "Odette gets up and then offers me her hand.  I take it and she helps me up."
    o "Well, I guess we better start looking for more pixies."
    
    $ express = "m1s"
    m "Yeah.  We know they're in the area so we should hopefully be able to catch at least one."
    
    hide o1n with dissolve
    "The two of us stick together this time as we search the forest for pixies."
    "Eventually we manage to team up on one and catch it."
    "We let it have it's freedom in exchange for some pixie dust-- an exchange the pixie is glad to take."
    "That done, we head back to the shop and call it a day figuring we can start fresh in the morning."
    hide bg 01 with dissolve
    
    jump task2
    
    
label chasepixie:
    
    
    stop music fadeout 2
    "Odette is a grown woman.  She can take care of herself."
    "Besides, it'd be stupid to let go of this chance-- I mean, the pixie is right there!"
    "My pixie giggles.  I make a grab for her, but she evades my attack and starts flying off."
    "I follow her, not letting her get more than a few feet away at any given time."
    "Unfortunately, a large part of the reason I'm able to keep up seems to be that the pixie is fooling around with me."
    "That means if I spook her, the pixie will dart off and I'll be left rather pixie dust less."
    "Well, maybe chasing her is the wrong solution to this problem."
    "My head buzzes with thoughts as I come up with an idea that I think will work."
    
    $ express = "m1a"
    play music "Monkeys Spinning Monkeys.mp3"
    
    m "Hey! Pixie!  You like games right?"
    "She turns, stopping in a spot just out of my immediate reach.  I don't lunge after her since I can't risk scaring her away."
    p "That's a stupid question!  All pixies like games!"
    p "Why?  Do you want to play a game?"
    m "Yes!  That's exactly what I want!"
    p "Hmmmmmmm."
    p "How do I know you're telling the truth?"
    p "You were trying to catch me a moment ago."
    "I'm not a particularly good liar, so I decide to confront her with the truth."
    
    $ express = "m1sa"
    m "Yes, I was."
    p "Then why should I play a fair game with you?"
    m "Because, there was a reason I was chasing you.  I need pixie dust for a potion."
    m "I was going to try and take it from you, but I don't really like that solution either."
    m "I was thinking that maybe we could work something out.  How about if I win a game against you, you give me some?"
    p "Hmmmmmmm... I suppose that isn't too unreasonable."
    p "What would I get if I won?"
    m "Well, let's see... I have some potions, a dagger, and a swim suit with me."
    "That's really not much when I think about it.  I try to make the offer a little bit more tempting."
    m "I have more stuff at home though.  If you can think of something you want, I'll let you know if I can get it."
    "The pixie pauses, thinking it over.  After a minute, she smiles."
    p "I know what you can give me."
    m "Oh yeah?  What is it?"
    p "I'll tell you when you lose, okay?"
    m "It's not my soul or my first born child is it?"
    p "Tee hee!  Of course not!"
    p "I promise I won't drink your blood or ask for your teeth either."
    
    $ express = "m1n"
    m "Alright.  I guess you sound reasonable."
    
    $ express = "m1s"
    m "And I don't plan on losing in the first place!"
    p "O-kay!"
    p "What game do you have in mind?"
    m "Uh, well, I hadn't decided."
    p "Oh good!  Then I can suggest one?"
    p "I'll ask you a few questions and you answer them!  If I like your answers then I'll give you some dust."
    
    $ express = "m1sa"
    m "Eh? Does that really qualify as a game?"
    
    $ express = "m1a"
    m "And that seems like something you could rig easily."
    p "Don't worry so much!  Let's play!"
    "I open my mouth to object, but the pixie cuts me off and asks her first question."
    p "You have some extra money that you don't need to spend on anything else.  What do you do with it?"
    
    menu:
        "Buy something nice for myself.":
            $ pixiepoints = True
            p "Heehee.  That's what I would do."
            p "Spending it on others seems like such a waste and if you don't ever use your money then what's the point of having it?"
            jump nextquestion
            
        "Give it to someone who needs it more.":
            p "Seriously?"
            p "Well, if you ever have extra money you can always give it to me!"
            jump nextquestion
            
        "Save it for when you really need it.":
            p "Bleh.  Boo.  Boring."
            p "What's the point of having money if you aren't going to use it?"
            "Yikes.  She didn't like that answer."
            jump nextquestion
    
label nextquestion:
    
    p "Okay then! Next question! "
    p "What qualities do you look for in a significant other?"
    
    menu:
        
        "They have to be kind and gentle.":
            p "Eh, that's nice I guess, but it sounds like it'd get boring fast."
            p "That kind of relationship wouldn't work for me."
            jump lastquestion
            
        "They have to be wild and fun.":
            p "Heehee! Yes!  That's the best type!"
            p "You can never get bored if your partner is fun too!"
            $ pixiepoints = True
            jump lastquestion
            
        "They have to be beautiful and mysterious.":
            p "Oooh!  That sounds kind of appealing."
            p "Of course, what if that person ends up being a murdering psychopath?"
            p "Mysterious is a double edged trait."
            jump lastquestion
            
label lastquestion:
    
    p "Okay!  One more and I'll give you my verdict!"
    p "You have a best friend and a lover who have been kidnapped by an evil bad guy.  You can only save one.  Who do you save?"
    
    menu:
        
        "My best friend.":
            
            p "Hmmm... I don't know."
            p "I mean, your best friend is definitely special, but your lover is your lover because you love them the most, right?"
            p "Can you really dismiss that so easily?"
            
            $ express = "m1sa"
            m "I... I guess not."
            m "That question is surprisingly hard."
            p "Yeah, I couldn't figure out the answer either."
            
            $ express = "m1n"
            m "Eh? Then why'd you ask it?"
            p "I was hoping you'd be able to figure it out for me."
            
            $ express = "m1sa"
            m "...Sorry."
            p "It's okay."
            p "You still lose though."
            
            jump lose
            
        "My lover.":
            
            p "Hmmm... I don't know."
            p "I mean, your lover is important, but your best friend is able to help you out in ways that your lover isn't, right?"
            p "Can you really dismiss that so easily?"
            
            $ express = "m1sa"
            m "I... I guess not."
            m "That question is surprisingly hard."
            p "Yeah, I couldn't figure out the answer either."
            
            $ express = "m1n"
            m "Eh? Then why'd you ask it?"
            p "I was hoping you'd be able to figure it out for me."
            
            $ express = "m1sa"
            m "...Sorry."
            p "It's okay."
            p "You still lose though."
            
            jump lose
            
        "The bad guy.":
            
            if pixiepoints:
                
                $ creative = True
                
                p "Eh? The bad guy?  Why would you save the bad guy?"
                
                $ express = "m1h"
                m "Well, if you save the bad guy then he won't want to kill your friend or your lover."
                
                $ express = "m1s"
                m "So... I was thinking that by saving him you could save the other two as well."
                p ".........................."
                p "Pfft. Hahahahahahahahahaha!"
                p "That is so funny!"
                
                $ express = "m1sa"
                m "H-hey."
                p "I like you!  You're a lot of fun!"
                p "I'll give you the dust.  You can come back for more anytime as long as you promise to play more games with me."
                m "Yeah? Really!"
                p "Yeah!  I want to be friends!"
                
                show cg 04 with dissolve
                "The pixie swoops in and pecks me on the cheek."
                "I guess that counts as a bonus..."
                hide cg 04 with dissolve
                "She leaves a small leather bag in my hands and then flutters off.  She turns around to wave goodbye and then disappears into the forest."
                "I take a peek in the bag.  Sure enough, it's pixie dust."
                stop music fadeout 2
                
                jump reunited
            
            p "Eh? The bad guy? Are you crazy?"
            
            $ express = "m1sa"
            m "Don't blame me!  I thought it was a trick question!"
            m "I mean, I can't really choose between a lover and a best friend!"
            m "They're both equally important!"
            p "True.  I couldn't figure out the answer to that question either."
            m "Huh? Then why did you ask it?"
            p "Well, I was hoping you'd help me figure it out."
            p "Unfortunately, you didn't."
            p "Sorry, Ms. Witch lady, but I'm going to call this a loss on your part."
                
            jump lose
            
label lose:
    
    $ express = "m1sa"
    m "Ah dang it!"
    p "Don't worry!  I'll still give you the dust!"
    
    $ express = "m1n"
    m "Eh? Really?"
    p "Yeah!  I had a lot of fun and you seem like you need it."
    p "You still have to pay up though!"
    m "Oh yeah!  You never did tell me what you wanted."
    p "Teehee! Well, now you get to know!"
    p "I want some of your hair!"
    p "It's so long and pretty!  I want to use it as thread."
    m "Eh? Well that's not a problem at all... depending on how much you want anyway."
    p "Just a few strands is good."
    
    $ express = "m1s"
    m "Alrighty then."
    "I pull out the knife in my pack and cut off a generous amount for the pixie."
    "She happily takes it from me and then vanishes."
    
    $ express = "m1e"
    m "H-hey!"
    "I'm about to start cursing when I notice a small leather bag in my hand.  It definitely wasn't there a minute ago."
    "I investigate.  Sure enough, it's pixie dust."
    stop music fadeout 2
    
    jump reunited
    
label reunited:
    
    "I hear leaves rustle behind me.  The sound catches me off guard."
    
    $ express = "m1e"
    m "W-who's there?!"
    q "*Sigh* Calm down, it's just me."
    
    show o1u with dissolve
    play music "Summer Day.mp3"
    
    "I turn to see Odette.  She looks a bit scratched up and has a leaf in her hair."
    "I'm guessing that pixie gave her a hard time."
    o "Any luck?"
    
    $ express = "m1h"
    m "Yeah, actually."
    "I wave the bag of pixie dust in front of her for good measure."
    
    hide o1u
    show o1h
    o "Oh good!  I was worried that we'd both come up empty handed, but I guess it's just me."
    
    if grope:
        "I grin proudly.  I realize it's immature, but I have to rub it in."
        
        $ express = "m1h"
        m "Not so perfect after all, are you?"
        
        hide o1h
        show o1n
        o "Did I ever say I was?"
        
        $ express = "m1sa"
        m "Well... You may not have said it, but you certainly act all high and mighty."
        o "Well, I am more talented than most witches.  I have the right to be proud of what I've accomplished."
        
        $ express = "m1e"
        m "See? There it is!  You're so full of yourself!"
        
        hide o1n
        show o1a
        o "Ugh.  Why do you have to fight about this?  You got the pixie dust-- let's just be happy, okay?"
        
        $ express = "m1a"
        m "Only if you admit I did a good job."
        
        hide o1a
        show o1h
        o "You did a great job."
        "I'm a little taken aback by how sincerely she smiles.  It takes me a minute to respond."
        
        $ express = "m1n"
        m "Well, good.  I guess that's that then."
        
    if nice:
        
        $ express = "m1s"
        m "Don't worry about it.  I mostly just got lucky."
        o "I have a feeling it's a bit more than that."
        "I'm a little taken aback by how sincerely she smiles.  It takes me a minute to respond."
        
        $ express = "m1n"
        m "You have a leaf in your hair."
        
        hide o1h
        show o1u
        o "Oh? Do I?"
        "Her eyes drift upward, but I go ahead and pull the leaf out of her hair for her."
        
        hide o1u
        show o1n
        o "Thanks."
        
        $ express = "m1s"
        m "No problem."
        
        hide o1n
        show o1h
        o "Anyway..."
        
    o "Should we call it a day?  It's getting kind of late."
    
    hide o1h
    show o1n
    o "I figure we can just start fresh tomorrow."
    
    $ express = "m1s"
    m "Sounds good to me.  I'm not the one without my magic so I'm not in any real rush."
    o "It does mean you'll have to deal with me a bit longer, you know?"
    m "Yeah, but that's okay I guess."
    m "You're... not as bad as I remember."
    
    hide o1n
    show o1h
    o "Heh.  That makes me kinda happy."
    
    $ express = "m1h"
    m "Yeah, yeah.  Don't look into it too much."
    
    hide o1h
    hide bg 01 with dissolve
    stop music fadeout 2
    show bg 05b with dissolve
    "The two of us talk a bit and head back to the shop.  We call it a night and sleep soundly."
    if grope:
        "Odette actually let's me sleep on the bed this time."
    
    hide bg 05b with dissolve
    jump task2
        
label task2:
    
    stop music fadeout 2
    
    show bg 01 with dissolve
    "The next morning we head out toward the lake.  The weather is just perfect and it ends up being a peaceful walk."
    if pixiepoints:
        "I even ran into the pixie I met the other day!  She said hello and showed us a shortcut."
        
    hide bg 01 with dissolve
    show bg 02 with dissolve
    "When we get to the lake we both take turns hiding in the bushes so we can change into our swimsuits."
    if cute:
        "Odette goes first."
        
        show o2u with dissolve
        "A minute later, she comes out in the cute bathing suit.  Her face is red and it's obvious she's embarrassed."
        "It's definitely not her normal look, but she's still super cute."
        
        $ express = "m1h"
        play music "Summer Day.mp3"
        m "Awwww!  How cute are you?"
        
        hide o2u
        show o2a
        o "Agh.  You're being sarcastic aren't you?  I look horrible."
        
        $ express = "m1s"
        m "Why do you have to be so negative?  It looks good on you."
        
        hide o2a
        show o2u
        o "Ugh.  If you say so."
        
        hide o2u
        show o2h
        o "Anyway, it's your turn.  Let's see your suit."
        
        $ express = "m1sa"
        m "Agh... Do I have to wear it?"
        
        hide o2h
        show o2n
        o "Yup.  I'm wearing this one.  Fair is fair."
        "I sigh and then head to the bushes.  A few minutes later, I come out in the sexy swimsuit."
        "Odette wolf whistles and applaudes which makes be blush brightly."
        
        $ express = "m3e"
        m "That's not funny!"
        
        hide o2n
        show o2h
        o "I'm being serious!  You look good."
        
        hide o2h
        show o2n
        o "I bet there are a lot of young men out there who would like to see you like this."
        
        $ express = "m3a"
        m "Yeah right.  In any case, there aren't a lot of 'young men' who hang out in these mountains."
        o "Well, you can't blame them.  You aren't exactly conveniently located, you know?"
        m "Whatever.  I get to practice my magic more if no one is there."
        
        hide o2n
        show o2h
        o "That's the spirit!"
        
        $ express = "m3sa"
        m "But the not getting any money part sucks..."
        
        hide o2h
        show o2u
        o "Yeah, I imagine it does."
        stop music fadeout 2
        
        hide o2u
        show o2n
        o "Anyway, how about we get into the water and look for some mermaids?"
        m "Okay... It might keep me from getting depressed about the money thing..."
        "It's a little late.  I'm already fixating on it."
        o "It'll be fun-- come on!"
        
        play music "Monkeys Spinning Monkeys.mp3"
        "Odette grabs my arm and drags me toward the water."
        "I barely have time to remove my pack and drop it on dry land before being pulled into the water."
        "It's cold.  A shiver runs up my spine as goose bumps instantly form on my arms and legs."
        "Odette dives under water and then resurfaces.  It's a good idea since she'll adjust to the temperature faster."
        "I brace myself for the initial wave of cold and do the same."
        
        $ express = "m3n"
        m "Right.  We're in the water.  Now what?"
        o "Well... How about..."
        "I listen intently, waiting for her to finish.  However, that's not what she does."
        
        hide o2n
        show o2h
        "Instead, she splashes me, catching me offguard."
        
        $ express = "m3e"
        m "What the?! Hey!"
        "I splash her back in a slightly more aggressive manner in an attempt to one up her."
        "It quickly turns into an all out war.  Much to my dismay, it seems that Odette is the more proficient splasher."
        
        stop music fadeout 2
        play music "Expeditionary.mp3"
        
        "I frantically rub the water out of my eyes just in time to see a green, fish-like tail slap the surface of the lake."
        
        hide o2h
        show o2u
        "The enormous amount of water from the blow makes Odette's attacks look like a joke."
        "Both Odette and I sputter before realizing that we've found the creature we're looking for."
        
        hide o2u
        show cg 05 with dissolve
        "The Mermaid pokes her head out of the water, her long brown hair floating on the surface of the lake."
        "She stares at the two of us, an unamused expression on her face."
        mer "You two are disrupting my swim with your incessant splashing."
        "Her entitled attitude reminds me of Odette-- just to a more annoying degree."
        "Still, we better stay on her good side if we want to get that scale.  I hold my tongue, hoping Odette can come up with something nicer than what I would have said."
        o "Sorry about that.  We didn't realize that we were bothering anyone."
        mer "Well, now you know.  Shoo!"
        o "Ah, I'm afraid we can't do that actually."
        mer "Why not?"
        o "Our primary reason for being here isn't to fool around.  We actually need a mermaid scale for one of our potions."
        mer "And you think that I'm going to give you one?  Why should I?"
        o "Well, we could make some kind of exchange.  Surely we could come up with something fair."
        mer "Hmph!  You have nothing I could want.  I'm not interested."
        
        hide cg 05 with dissolve
        "She dives beneath the surface, intending to flee."
        
        if creative:
            "Odette is about to dive down and chase after the mermaid, but I stop her.  I think I actually have a better idea."
            "Instead of chasing the mermaid, I start splashing the water like crazy.  It should be enough to annoy the mermaid."
            
            show cg 05 with dissolve
            "Sure enough, the mermaid turns back towards us and breaks the surface."            
        else:
            "Odette dives down, following the mermaid into the water.  Odette is impressively quick and manages to grasp the mermaid's tail before the creature gets too far away."
            
            show cg 05 with dissolve
            "It's enough to get the mermaid to break the surface again.  She whirls around and faces Odette."
            
        "Unfortunately, she doesn't look happy.  Actually, she looks even angrier than before."
        "She whips out her tail and Odette barely manages to pull me aside in time to avoid the blow."
        
        $ express = "m3e"
        m "W-wait a minute!  Hear us out!"
        "She answers with another powerful swing of her tail.  I don't think we're going to be able to reason with her."
        o "Mira!  Use your magic to do something!"
        
        $ express = "m3n"
        m "Eh?  Like what?"
        o "Stun her or something!  We need to get her to stop attacking us so we can explain ourselves!"
        "I bite my lip.  I'm not entirely confident I can pull the spell off."
        
        $ express = "m3sa"
        m "B-but what if I fail?"
        if opoints:
            o "You won't fail."
            m "How can you be so sure?"
            o "Because I believe in you.  Besides..."
            
        o "It can't hurt our situation.  If you fail, our situation stays the same-- that's all."
        "I nod and then try to focus.  I can do this.  I can do this.  I can do this."
        "I mutter the spell and a blue light eminates from my fingertips.  Without another moment's hesitation, I launch it at the mermaid."
        "It's a powerful spell, but it doesn't quite work out the way I intended it to..."
        "Instead of stopping the mermaid, it freezes the water in front of her.  Her eyes widen in surprise."
        mer "W-what are you trying to do?"
        "I look at her stupidly.  Odette is a little more helpful."
        o "Give you a warning."
        o "If you continue attacking us, we'll be forced to defend ourselves.  You're lucky Mira is being lenient with you."
        "Looks like we're resorting to intimidation tactics."
        
        $ express = "m3a"
        m "That's right.  We need that scale.  We're going to get it one way or another.  I suggest you cooperate so you can get something out of it too."
        "I feel a bit like a bully, but we really do need the scale."
        
        stop music fadeout 2
        play music "Summer Day.mp3"
        
        mer "...Okay.  I'm listening."
        o "We have some potions that we can trade you."
        mer "I don't have a use for your potions."
        mer "But... Now that I've gotten a better look at it..."
        "She points to my swimsuit."
        mer "I really like that top."
        
        $ express = "m3n"
        m "Eh?"
        mer "I'd look really good in it, don't you think?"
        
        $ express = "m3s"
        m "Yeah, I guess."
        mer "Give it to me and I'll give you a scale.  Mind you, not a really great one.  The top is cute, but it isn't that cute."
        "I exchange a look with Odette.  We just need a scale.  Quality wasn't specified, but I'm pretty sure any one will do."
        m "That's fine."
        mer "Then we have a deal."
        
        $ express = "m3h"
        m "Right, let me just go change first."
        hide cg 05 with dissolve
        
        jump meetsybelle
        
        
    if sexy:
        
        "Odette goes first."
        
        show o3u with dissolve
        "A minute later, she comes out in the sexy bathing suit.  She blushes slightly, probably a little embarrassed."
        "Despite that, she pulls it off perfectly.  It makes me a bit jealous actually."
        
        $ express = "m1h"
        play music "Summer Day.mp3"
        m "You look really sexy."
        
        hide o3u
        show o3h
        "She smiles, quite pleased with the comment."
        hide o3h
        show o3n
        o "Considering vying for my affections are you, Mira?"
        
        $ express = "m1a"
        m "I said you look sexy.  Your personality on the other hand..."
        o "Right, right.  You've made your opinion very clear on that."
        o "Anyway, it's your turn.  Let's see your suit."
        
        $ express = "m1sa"
        m "Agh... Do I have to wear it?"
        
        hide o3n
        show o3h
        o "Yup.  I'm wearing this one.  Fair is fair."
        
        hide o3h
        show o3n
        "I sigh and then head to the bushes.  A few minutes later, I come out in the cute swimsuit."
        
        hide o3n
        show o3h
        "Odette giggles."
        
        $ express = "m2sa"
        m "W-what's that for?!"
        o "You look so cute!  Just like a little kid!"
        o "I just want to scoop you up and take you home with me."
        
        $ express = "m2n"
        m "You're kinda creeping me out."
        
        hide o3h
        show o3n
        o "Alright, alright.  I'll keep my thoughts to myself then."
        
        stop music fadeout 2
        
        o "Anyway, how about we get into the water and look for some mermaids?"
        
        $ express = "m2s"
        m "Well, that is what we came here to do."
        o "It'll be fun-- come on!"
        
        play music "Monkeys Spinning Monkeys.mp3"
        
        "Odette grabs my arm and drags me toward the water."
        "I barely have time to remove my pack and drop it on dry land before being pulled into the water."
        "It's cold.  A shiver runs up my spine as goose bumps instantly form on my arms and legs."
        "Odette dives under water and then resurfaces.  It's a good idea since she'll adjust to the temperature faster."
        "I brace myself for the initial wave of cold and do the same."
        
        $ express = "m2n"
        m "Right.  We're in the water.  Now what?"
        o "Well... How about..."
        "I listen intently, waiting for her to finish.  However, that's not what she does."
        "Instead, she splashes me, catching me offguard."
        
        $ express = "m2e"
        m "What the?! Hey!"
        "I splash her back in a slightly more aggressive manner in an attempt to one up her."
        "It quickly turns into an all out war.  Much to my dismay, it seems that Odette is the more proficient splasher."
        
        stop music fadeout 2
        play music "Expeditionary.mp3"
        
        "I frantically rub the water out of my eyes just in time to see a green, fish-like tail slap the surface of the lake."
        
        hide o3n
        show o3u
        "The enormous amount of water from the blow makes Odette's attacks look like a joke."
        "Both Odette and I sputter before realizing that we've found the creature we're looking for."
        
        hide o3u
        show cg 05 with dissolve
        "The Mermaid pokes her head out of the water, her long brown hair floating on the surface of the lake."
        "She stares at the two of us, an unamused expression on her face."
        mer "You two are disrupting my swim with your incessant splashing."
        "Her entitled attitude reminds me of Odette-- just to a more annoying degree."
        "Still, we better stay on her good side if we want to get that scale.  I hold my tongue, hoping Odette can come up with something nicer than what I would have said."
        o "Sorry about that.  We didn't realize that we were bothering anyone."
        mer "Well, now you know.  Shoo!"
        o "Ah, I'm afraid we can't do that actually."
        mer "Why not?"
        o "Our primary reason for being here isn't to fool around.  We actually need a mermaid scale for one of our potions."
        mer "And you think that I'm going to give you one?  Why should I?"
        o "Well, we could make some kind of exchange.  Surely we could come up with something fair."
        mer "Hmph!  You have nothing I could want.  I'm not interested."
        
        hide cg 05 with dissolve
        "She dives beneath the surface, intending to flee."
        if creative:
            "Odette is about to dive down and chase after the mermaid, but I stop her.  I think I actually have a better idea."
            "Instead of chasing the mermaid, I start splashing the water like crazy.  It should be enough to annoy the mermaid."
            
            show cg 05 with dissolve
            "Sure enough, the mermaid turns back towards us and breaks the surface."            
        else:
            "Odette dives down, following the mermaid into the water.  Odette is impressively quick and manages to grasp the mermaid's tail before the creature gets too far away."
            show cg 05 with dissolve
            "It's enough to get the mermaid to break the surface again.  She whirls around and faces Odette."
            
        "Unfortunately, she doesn't look happy.  Actually, she looks angrier than before."
        "She whips out her tail and Odette barely manages to pull me aside in time to avoid the blow."
        
        $ express = "m2e"
        m "W-wait a minute!  Hear us out!"
        "She answers with another powerful swing of her tail.  I don't think we're going to be able to reason with her."
        o "Mira!  Use your magic to do something!"
        
        $ express = "m2n"
        m "Eh?  Like what?"
        o "Stun her or something!  We need to get her to stop attacking us so we can explain ourselves!"
        "I bite my lip.  I'm not entirely confident I can pull the spell off."
        
        $ express = "m2sa"
        m "B-but what if I fail?"
        if opoints:
            o "You won't fail."
            m "How can you be so sure?"
            o "Because I believe in you.  Besides..."
            
        o "It can't hurt our situation.  If you fail, our situation stays the same-- that's all."
        "I nod and then try to focus.  I can do this.  I can do this.  I can do this."
        "I mutter the spell and a blue light eminates from my fingertips.  Without another moment's hesitation, I launch it at the mermaid."
        "It's a powerful spell, but it doesn't quite work out the way I intended it to..."
        "Instead of stopping the mermaid, it freezes the water in front of her.  Her eyes widen in surprise."
        mer "W-what are you trying to do?"
        "I look at her stupidly.  Odette is a little more helpful."
        o "Give you a warning."
        o "If you continue attacking us, we'll be forced to defend ourselves.  You're lucky Mira is being lenient with you."
        "Looks like we're resorting to intimidation tactics."
        
        $ express = "m2a"
        m "That's right.  We need that scale.  We're going to get it one way or another.  I suggest you cooperate so you can get something out of it too."
        "I feel a bit like a bully, but we really do need the scale."
        stop music fadeout 2
        play music "Summer Day.mp3"
        mer "...Okay.  I'm listening."
        o "We have some potions that we can trade you."
        mer "I don't have a use for your potions."
        mer "But... Now that I've gotten a better look at it..."
        "She points to Odette's swimsuit."
        mer "I really like that top."
        o "Really?  You don't think it's too revealing?"
        mer "Who cares if it's revealing?  I'd look really good in it, don't you think?"
        
        $ express = "m2s"
        m "Yeah, I guess so."
        mer "Give it to me and I'll give you a scale.  Mind you, not a really great one.  The top is cute, but it isn't that cute."
        "I exchange a look with Odette.  We just need a scale.  Quality wasn't specified, but I'm pretty sure any one will do."
        m "That's fine."
        mer "Then we have a deal."
        
        $ express = "m2h"
        m "Right, just let Odette go change first."
        hide cg 05 with dissolve
        
        jump meetsybelle
        
label meetsybelle:
    
   "I head back to the shore with Odette.  The Mermaid waits for us in the water.  We both change out of our swimsuits before taking the sexy one over to her."
   "I hand over the top first.  The mermaid seems pleased.  Of course, now I'm left wondering what I'm going to do with just the bottom part of the suit."
   "Ah well, main problem solved-- as long as the mermaid makes good on her end of the bargain."
   "The Mermaid reaches down to her tail and plucks a scale from it before handing it over.  It's not one of her best ones, but it's bright and beautiful.  I don't think there should be any problem with it."
   
   $ express = "m1s"
   m "Thank you very much."
   mer "Well, you didn't leave me much choice.  Still, if you find any other wonderful tops, feel free to come back.  I might be willing to trade some more."
   
   hide bg 02 with dissolve
   show bg 06 with dissolve
   "That adventure done, the two of us head back to the shop."
   
   $ express = "m1sa"
   m "I'm beat."
   
   show o1n with dissolve
   o "I believe it.  That spell was pretty impressive-- I bet it took a lot out of you."
   
   hide o1n
   show o1u
   o "Still, hang in there if you can.  We need to do some serious planning so we can figure out what we're going to do about that dragon."
   hide o1u
   stop music fadeout 2
   
   q "What's this about a dragon?"
   "Both of us jump.  The last thing either of us expected was for someone else to be in my shop."
   
   show s1s with dissolve
   play music "Moonlight Hall.mp3"
   
   "The unannounced visitor steps forward, revealing herself with a small smile."
   o "P-principal Sybelle?  What are you doing here?"
   s "Vacationing.  There's a rather wonderful hotspring not too far from here."
   
   hide s1s
   
   if earlysybelle:
       
       show s1s with dissolve
       "She looks at me specifically and smiles."
       
       hide s1s
       show s1h
       s "Of course, Mira already knows that."
       "Odette looks at me suspiciously-- almost as if I betrayed her."
       
       $ express = "m1sa"
       m "W-what's that look for?"
       o "Nothing."
       "She's sulking.  I don't see how this is my fault.  I only ran into Sybelle because I was looking for her in the first place!  Agh!  Whatever.  Odette's feelings aren't important right now."
       
       hide s1h
   
   show s1s
   $ express = "m1n"
   m "I think we both meant that question more specifically-- why are you here in my shop?"
   s "Well, I told Erin that I was in the area and she told me that a former student of mine had set up a shop here."
   s "I figured it'd be rude not to check in on you."
   
   $ express = "m1sa"
   o "Is that all she told you?"
   
   hide s1s
   show s1n
   s "Why?  Was there something she should have added?"
   "I get the feeling that Sybelle knows something is up.  She doesn't know exactly what it is though since she's attempting to pry the information out of us."
   "It seems Erin left it vague enough so that we could decide if we wanted to tell her or not."
   "And that is actually a good question."
   "If we let her in on it, Sybelle could definitely help.  Intelligent and powerful, she is principal of the magic school for good reason."
   "On the other hand, she could get us into trouble.  I don't think that she's the kind of person who'd rat on us to the authorities, especially since it was an accident, but you never know."
   "Maybe she'd consider it her duty to turn us in.  Maybe that's why Erin didn't tell her what we were up to in the first place."
   "Odette and I have been doing pretty good on our own.  We've gotten both ingredients so far.  Yeah, we have to face off against a dragon next, but I'm actually feeling kind of confident, all things considered."
   "Even without her powers, I'm sure that Odette and I will manage somehow."
   "So... Knowing all that, what do I want to do?"
   stop music fadeout 2
   
   menu:
       
       "Tell Sybelle everything.":
           jump teamsybelle
           
       "Keep it quiet.  Odette and I can handle this on our own.":
           jump teamodette
           
label teamsybelle:
    
    "Sybelle listens patiently as I explain our situation.  Her expression reveals nothing about her personal opinions and I find myself growing nervous as I go on."
    "Still, I've already committed to telling her.  There is no point in stopping now."
    "I finish and then take a deep breath."
    "Sybelle takes another long moment to process all of the information."
    s "Let me get this straight..."
    "She turns to Odette."
    play music "Monkeys Spinning Monkeys.mp3"
    s "You challenged Mira to make a love potion and agreed to test it even assuming that she'd fail?"
    o "Well... Yeah."
    s "I thought you were smarter than that Odette."
    s "Honestly, you had no idea what the effect would be and, even if it did turn out perfectly, love potions aren't exactly known to keep their taker's dignity in tact."
    s "Ah, unless..."
    
    hide s1n
    show s1s
    "Sybelle smiled slightly."
    s "You actually wanted it to work?  You wanted an excuse to molest Mira a bit maybe?"
    o "T-that's not it at all!  I wasn't thinking straight, okay?"
    "I look at Odette suspiciously.  Nah.  That can't be it.  Odette hates me."
    "Well, maybe not so much now, but when she issued the challenge she certainly did, didn't she?"
    s "Fine, fine."
    
    stop music fadeout 2
    
    hide s1s
    show s1n
    s "We have more important issues to deal with.  Like it or not, you have meddled with some illegal magic."
    "Ack.  I was hoping she wouldn't bring that up."
    s "Still, I can keep my mouth shut.  It seems like gathering all the ingredients to fix it will be punishment enough anyway-- especially factoring in the dragon's blood."
    s "That will not be easy to obtain.  Magic doesn't work well on dragons."
    s "I think I'd better step in and help you with this one."
    
    $ express = "m1n"
    play music "Summer Day.mp3"
    m "R-really?  You'll help us?"
    
    hide s1n
    show s1s
    s "Yes.  I think you've learned your lesson.  All that is left is for us to fix the problem."
    
    hide s1s with dissolve
    "Sybelle sits us down and discusses tactics with us.  By the end we have a fairly solid plan.  Sybelle and I will use a binding spell to hold the dragon down while Odette gets in close to take the blood."
    "The problem is, it'll take a lot of magic to hold down a full grown dragon.  And then we'll have to have enough power left over to face a mad dragon once we free it from it's bindings.  I know Sybelle is up to the task, but I'm not so sure about me."
    "I guess we'll find out one way or the other tomorrow."
    stop music fadeout 2
    
    jump finalthree
    
label teamodette:
    
    m "Nope, I can't think of anything."
    "Sybelle frowns.  She clearly isn't buying that.  She tries a more direct approach."
    s "So you aren't going to tell me about the dragon?"
    
    $ express = "m1n"
    m "....Oh that!  I'm afraid you misunderstood."
    "Odette bites her lip, probably wondering what I'm going to say.  She doesn't need to be so worried though.  I have an idea-- it might not be a great one, but it's an idea."
    
    $ express = "m1h"
    play music "Monkeys Spinning Monkeys.mp3"
    
    m "The 'dragon' Odette was referring to is my aunt.  I know it's not a very nice way to refer to her, but, well, she does have a tendency chew people out."
    s "And you're going to go see her tomorrow?"
    m "W-well, yes."
    "I blush, embarrassed at what I'm about to do next.  Still, I don't have a better idea, so I go through with it."
    "I take Odette's hand in mine.  She jumps slightly in surprise, but I squeeze it tight enough so that she can't let go."
    
    $ express = "m1a"
    m "We're going to announce our status as a couple to my family."
    "Odette blushes a bright, bright red color, but thankfully doesn't give away our cover."
    o "T-that's right.  I'm pretty nervous about it, but as long as I have Mira there with me I'm sure I'll be able to endure whatever hurtful things her aunt might say."
    s "I-I see.  Well, congratulations I suppose."
    s "I must admit, I'm quite surprised.  You two never seemed to get along in school."
    if grope:
        
        m "Well... You know what they say-- opposites attract."
        m "I guess all that pent up animosity was really just love in disguise.  Right, sweet stuff?"
        "She grits her teeth.  I imagine she's not terribly happy about the nickname."
        o "That must have been the case, sugar-buns."
        stop music fadeout 2
        
    if nice:
        
        stop music fadeout 2
        play music "Village Dawn.mp3"
        $ express = "m1n"
        m "Well... We didn't.  To be honest, I hated her guts.  She always came off as snobbish and I didn't like how she did everything better than me."
        m "But I don't feel that way now."
        "It's funny, but that's the truth.  I don't feel the same way about Odette that I did a few days ago."
        m "I think we only hit it off wrong in the first place because I was determined to hate her.  Once I stopped doing that... Well, she wasn't as bad as I had led myself to believe."
        
        $ express = "m1s"
        m "I started thinking that we could even be friends.  And well... Now things are like this."
        stop music fadeout 2
        
    s "..."
    
    hide s1n
    show s1s
    play music "Summer Day.mp3"
    s "I see.  I'm glad the two of you could work out your differences."
    s "Well, if that's really all there is to it, I suppose I had better take my leave."
    
    $ express = "m1sa"
    m "What? Already?"
    
    hide s1s
    show s1n
    s "Yes.  I'm afraid I haven't been entirely honest with you.  I didn't just come to visit."
    s "The way Erin talked... It felt like she was leaving something important out which led me to believe that I should check up on you and make sure things were alright."
    s "Well, I have and you seem to be fine.  If nothing is wrong then there is nothing for me to do here."
    
    hide s1n
    show s1h
    s "So all I can say is take care and be on my way."
    o "Well, it was good seeing you again, Ms. Sybelle."
    
    $ express = "m1s"
    m "Yeah, feel free to drop by any time."
    
    hide s1h with dissolve
    "The two of us see her off, keeping up the couple act until we are both sure she was gone."
    if nice:
        
        stop music fadeout 2
        play music "Village Dawn.mp3"
        
        show o1u with dissolve
        o "Hey... Mira... What you said back there... Did you actually mean it?"
        
        $ express = "m1n"
        m "Mean what?"
        o "You know, that stuff about not hating me."
        m "...Yeah, I did actually."
        
        if opoints:
            
           $ express = "m1sa"
           m "I think... I've been unfair to you."
           m "I mean, yeah, you're a little like the way I thought you were, but at the same time... not really."
           
           $ express = "m1n"
           m "If I'd realized that before maybe we could have been friends."
           
           hide o1u
           show o1n
           o "So we aren't friends now?"
           m "Huh? You think of me as a friend?"
           
           hide o1n
           show o1h
           o "Yeah, kinda.  More a friend than most people I know.  So... Is that weird?"
           
           hide o1h
           show o1n
           $ express = "m1sa"
           m "N-no.  Not at all.  I've just never really had a friend so I didn't know..."
           
           $ express = "m1s"
           m "Ah, heck.  Let's just say we're friends and be done with it."
           o "Thanks.  That makes me happy." 
           
           if opoints2:
               
               hide o1n
               show o1u
               o "Actually...  There was something else I wanted to say..."
               o ".................."
               o "Umm... nevermind."
               
               $ express = "m1e"
               m "Hey!  Come on!  That's not fair.  You started saying something so finish it!"
               o "Well, I might... want to think of you as more than a friend."
               "I blush.  I'm not sure what to say.  This is the last thing I ever imagined hearing from her."
               o "Sorry.  I guess that's something I shouldn't have said."
               
               $ express = "m1sa"
               m "No, it's fine.  It's just... unexpected I guess."
               o "Well, don't worry about it.  We can just pretend I never said it."
               "...I don't know if I can ignore it exactly, but if that's what Odette wants, I won't bring it up again."
               "This... gives me a lot to think about."
               
    hide o1n
    hide o1u
               
               
    if grope:
        
        stop music fadeout 2
        play music "Monkeys Spinning Monkeys.mp3"
        
        show o1a with dissolve
        o "Sweet stuff?"
        
        $ express = "m1a"
        m "Sugar-buns?"
        o "Well, I had to say something more embarrassing than what you said."
        
        $ express = "m1e"
        m "Always trying to one up me, aren't you?"
        o "Correction.  Always succeeding in one uping you."
        m "Agh!  You're impossible!"
        
        hide o1a
        show o1u
        o "Let's just drop it then."
        
        $ express = "m1a"
        m "Yeah... Okay."
        
    hide o1u
    show o1u
    
    stop music fadeout 2
    play music "Summer Day.mp3"
    
    o "Hey Mira.... Why didn't you tell her?  Sybelle could have been a big help, you know?"
    
    $ express = "m1sa"
    m "Yeah, but I didn't know if we'd get in trouble or not if we told her."
    
    $ express = "m1s"
    m "Besides, I think we can handle it.  We've done pretty good so far."
    o "Maybe, but we're talking about a dragon.  That isn't exactly on the same level as a pixie or a mermaid in terms of power."
    
    $ express = "m1h"
    m "Yeah, but we're awesome."
    
    hide o1u
    show o1n
    o "Pfft.  As if there isn't any flaw in that logic."
    m "Trust me.  It'll work out."
    o "Alright.  I hope you're right."
    o "Anyway, we should get to planning if you're up for it."
    
    hide o1n with dissolve
    "I nod.  I'm dead tired, but it'd be nice to get at least a few strategies in my head before I go to sleep."
    "Odette is the only one that's particularly helpful.  I suggest a few things, but she builds on them or suggests things that are obviously better."
    "We keep it up for a few hours before calling it a night."
    stop music fadeout 2
    
    jump finalodette
    
label finalthree:
    
    hide bg 06 with dissolve
    show bg 03 with dissolve
    "The next morning we begin our climb towards the peak."
    
    play music "Expeditionary.mp3"
    
    "It takes us a couple of hours to get high enough to be in dragon territory, but I hardly notice.  It's all coming too fast since I'm dreading it."
    "I do feel a bit better knowing that Sybelle is with us though.  She's strong so hopefully nothing too bad will transpire."
    s "There."
    "Sybelle points to a large cave carved into the mountain."
    s "I think that we've found our dragon's home.  Be ready to use your magic, Mira."
    "I chew my lip nervously, but somehow find the courage to go on anyway."
    "All three of us are silent as we reach the cave's opening.  Our eyes are focused and look for any visual sign of our dragon."
    
    show cg 06 with dissolve
    "It's then that we hear the loud pounding of wings against air.  We each dive behind the nearest rock formations and hide ourselves as a large dragon comes in for a landing."
    "Goosebumps form on my arms and a chill runs down my spine as it's giant form casts a shadow on us."
    s "Now!"
    "I almost miss Sybelle's signal, but I do manage to call up some significant magic on her command."
    "I aim it toward the dragon and lines of light shoot from the ground and wrap themselves around the dragon's body."
    "Sybelle's magic does the same, but her bindings are stronger.  I can tell because they're brighter."
    "The dragon roars and arches it's neck back, preparing a fireball before one of Sybelle's strands wraps around it's mouth, tying it firmly shut."
    s "Odette, you're up."
    "Odette nods and runs forward, avoiding any of the dragon's flailing appendages.  She has to back away several times, but eventually gets to a portion of the dragon's belly that is fastened in place."
    "She pulls out the dagger I loaned her and makes a small cut.  The dragon's eyes grow wide.  It panics and thrashes about violently."
    "I feel my magic's grip loosen before I refocus and strengthen the bonds."
    "Odette pats the dragon's belly gently in a vain attempt to calm it as her other hand holds an empty potion bottle.  She collects a full bottle of blood before searching the pack and pulling out one of my healing potions."
    "Her healing the dragon's wound wasn't in the original plan, but I'm glad that she took the time to take care of the injury she'd caused."
    "She starts backing up.  As she does this, the dragon makes another great effort to resist.  This time, it works.  My magic is severed completely and most of Sybelle's strands barely hang on."
    "The Dragon goes for Odette since she's the one that's closest to him."
    "I have to do something quick..."
    
    menu:
        
        "Try to summon up enough magic to bind him again.":
            jump magic
            
        "Try to help Odette get away by distracting him.":
            jump distract
    
label magic:
    
    "I let the power course through my body and release it all.  It takes a lot of effort and I collapse to my knees, but I keep my focus on binding the dragon."
    
    hide cg 06 with dissolve
    "For a few moments, I actually manage to hold him.  It's enough time for Sybelle to cast a sleeping spell, knocking the monster out cold just before I run out of energy.  It won't last long, but it'll give us a head start."
    "Odette is safe so I relax.  Like the dragon, I collapse."
    
    stop music fadeout 2
    hide bg 03 with dissolve
    show bg 06 with dissolve
    show o1n with dissolve
    "I come to awhile later on my couch.  Odette hovers over me, her arms crossed in a casual manner."
    
    play music "Summer Day.mp3"
    o "Welcome back."
    
    $ express = "m1sa"
    m "Ah? How long was I out?"
    o "Not too long.  You depleted a lot of your energy though.  It'll take awhile to recover."
    m "We've got to get working on that potion though."
    o "Don't worry about it.  Sybelle said she'd take care of it."
    
    $ express = "m1n"
    m "Ah, okay then."
    "I relax knowing we're in good hands.  This way I don't have to worry about mixing everything right."
    o "You were pretty awesome."
    
    $ express = "m1s"
    m "Hah.  Yeah right."
    o "No, it's true.  That last spell was pretty phenomenal.  It looked like something an expert would cast."
    
    $ express = "m1n"
    m "You aren't just making fun of me, are you?"
    s "She's not."
    "Both Odette and I jump in surprise as Sybelle enters the room."
    
    hide o1n with dissolve
    show s1s with dissolve
    s "Even mine wasn't quite as good as that last one."
    "I blush.  I'm really not used to hearing such praise so it just makes me embarrassed.  I decide to change the subject."
    m "Is the potion done?"
    s "Yup.  I have it right here."
    "She lifts up a bottle of green liquid, showing it to me before she hands it over to Odette."
    s "Well, drink up.  I don't really see much point in holding off."
    o "You're right about that!  I'll finally have my magic back!"
    
    hide s1s with dissolve
    
    jump potiondrunk

    
label distract:

    "I use my magic again, creating a simple spark spell.  I thrust it at the dragon and it hits him in the face."
    "That's enough to get his attention.  He looks my way and his nostrils flair."
    "I glare back, trying to look as intimidating as possible which isn't very easy considering that the dragon dwarfs me."
    o "Mira, move!  He's going to use his fire."
    "I know.  I can tell by the way he arches his neck.  Still, I stay put."
    "I think... No, I know I can handle this."
    "The dragon shoots his fireball, and I cast a shield spell just before his fire hits me.  It absorbs all of the attack."
    
    $ express = "m1a"
    m "Try it again.  It'll be just as effective."
    "The dragon hesitates, but then backs off.  It takes to the sky and leaves quickly.  It seems that I've successfully scared it away."
    stop music fadeout 2
    
    hide cg 06 with dissolve
    "I breathe a sigh of relief as Odette comes over to where I am.  I grin at her, but she responds by slapping me."
    
    show o1a with dissolve
    o "That was really stupid!  If you didn't manage to stop that fireball..."
    
    $ express = "m1s"
    play music "Summer Day.mp3"
    m "Yeah, but it worked, didn't it?"
    
    hide o1a
    show o1u
    "Odette sighs."
    o "Yeah, I guess it did.  Still, I was worried, you know?"
    
    $ express = "m1h"
    m "Then you should have believed in me more."
    o "I should have..."
    
    hide o1u
    show o1n
    o "That's stupid."
    m "Hey now."
    s "It worked out so there is no reason to worry about it."
    s "After all, we have a potion to prepare, right?"
    
    hide o1n with dissolve
    hide bg 03 with dissolve
    show bg 06 with dissolve
    "We head back to my house shortly after and work on the potion."
    "Sybelle does most of it, but I manage to help a little.  The potion isn't all that complicated.  It was just getting the ingredients that was hard apparently."
    "When we finish, we present it to Odette."
    m "Well, hope it works."
    s "It should be fine.  Mira did a good job."
    o "Right.  Well, here goes nothing."
    
    jump potiondrunk
    
label potiondrunk:

    stop music fadeout 2
    "Odette uncaps the potion and practically chugs it.  When she's done, she waits a moment for the effects to set in."
    "However, instead of becoming happy she frowns."
    
    show o1u with dissolve
    o "Something's wrong."
    
    $ express = "m1sa"
    m "What?"
    o "I can't feel my magic.  It didn't work."
    s "That's strange.  I don't think I made any mistakes.  It's a pretty straightforward potion when you have the ingredients."
    m "Then... Was it the wrong antidote?"
    "I ask it casually, but Sybelle's eyes widen.  It seems she has an idea."
    "Sybelle rubs her forehead as if she has a headache."
    m "W-what?  What is it?"
    s "You said you put an unknown blue flower in the potion, right?  I guess that's why Erin thought that this potion was the antidote..."
    s "It wasn't the flower that screwed up your potion.  It was your thoughts.  Assuming I'm right of course."
    m "My thoughts?"
    s "Yes.  When you made the potion you were probably thinking negative thoughts about Odette's magical abilities."
    "I blushed, a bit ashamed of myself.  It's true.  I don't meet Odette's gaze when I admit it."
    m "Yeah..."
    s "Then the solution is a lot simpler.  All you have to do is give Odette a heartfelt apology."
    m "What? But that's... We did all that work in vain then."
    s "...Maybe.  Then again, maybe not."
    s "Let me ask you this: Do you think you could have given Odette a sincere apology when you started your quest?"
    
    $ express = "m1n"
    m "No... I guess not."
    s "Then how about now?"
    
    play music "Village Dawn.mp3"
    "I look at Odette, biting my lip.  Yeah, my opinion of her has changed a bit..."
    
    if nice:
        
        "Actually, I guess we might even be friends now-- more or less."
        
        if opoints2:
            
            "Maybe a bit on the more side considering... things."
            
    if grope:
        
        "We still have our fights, but I can't say that I actively hate her anymore."

    "Yeah, I think I can do it..."
    "I go over to Odette and look her in the eye."
    
    $ express = "m1a"
    m "When I made that potion I let jealousy get the best of me."
    m "I hated that you were always able to beat me and I was frustrated that I never seemed to get any better."
    
    $ express = "m1sa"
    m "I guess... It's not your fault that you're good at magic.  I just have to accept that.  And I have to accept that it will be probably always be harder for me to learn magic than it is for you."
    
    $ express = "m1a"
    m "But that's okay.  We all have our different paces and just because your faster doesn't mean I'm going to let you be better."
    m "I'm going to become stronger than you-- all slow and steady like!"
    
    hide o1u
    show o1n
    o "...You might be getting a little off topic, Mira."
    m "Ah!  Oh, right!"
    m "The point is I'm sorry and I take it back what I thought when I made that potion.  I want you to have your powers back."
    "Odette smiles at me warmly.  Before I can wonder if it worked, she shows me by creating a small light in the palm of her hand."
    
    hide o1n
    show o1h
    o "It worked.  It really worked."
    
    $ express = "m1h"
    m "Good.  I'm glad."
    
    $ express = "m1sa"
    m "And I'm sorry I caused so much trouble."
    
    hide o1h
    show o1n
    o "Don't be.  I mean, we did have to go through a bunch of crud because of it, but I'm actually kind of glad."
    "She blushes and fidgits slightly."
    o "I know that might be a weird thing to say, but I'm happy that we kind of worked things out and I got to know you better."
    
    $ express = "m1s"
    m "Well, I guess I am too... mostly."
    m "I mean,  I'm glad I don't have to spend all my time hating you now."
    
    hide o1n
    
    if opoints:
        
        jump end01
        
    jump end02    
        
    
    return
    
label finalodette: 
    
    "We spend a good amount of time preparing before we begin our climb towards the peak."
    
    play music "Expeditionary.mp3"
    hide bg 06 with dissolve
    show bg 03 with dissolve
    "It takes us a couple of hours to get high enough to be in dragon territory, but I hardly notice.  It's all coming too fast since I'm dreading it."
    "We decided to go with a plan that relied on potions rather than magic so that I could save my energy for an emergency."
    "It's going to burn through most of my stock, but it's not like anyone was going to buy them anyway."
    "...I've gone and depressed myself again."
    
    show o1n with dissolve
    o "Hey, cheer up."
    
    $ express = "m1sa"
    m "Easy for you to say.  It took me so long to get those potions right."
    
    hide o1n
    show o1h
    o "Yeah, but it's better to use them up and live than to save them and get roasted by the dragon."
    m "*Sigh* I know, I know."
    
    hide o1h
    show o1n
    o "I'll help you remake them all once I get my magic back, okay?  It'll be alright."
    
    $ express = "m1s"
    m "...Thanks."
    "Odette blushes slightly, looking a bit happy."
    o "No problem."
    
    hide o1n with dissolve
    "I'm not exactly sure how to respond so I go quiet.  Neither does Odette apparently because she does the same."
    "It's probably for the best since we stumble upon a large cave carved into the moutainside a few minutes later."
    m "You think?"
    "Odette nods and whispers her answer back to me."
    o "Yeah.  It's definitely a prime spot for a dragon to live."
    "The two of us creep closer until we're at the mouth of the cave.  We can actually hear the dragon snoring inside.  I can't believe our luck."
    "Still, I think it's a little too optimistic to think that it will stay that way once we prick it with a knife."
    "Odette looks at me as if to say here goes nothing and then pulls the knife.  She gives me a moment to stop her, but I don't."
    "I just try to come up with a plan on what to do if the dragon wakes up in a bad mood."
    "Odette takes a deep breath and then does the deed.  She slips the knife in between a set of scales and soon enough a thin stream of blood runs down its belly."
    "Odette quickly collects some of the blood in an empty potion bottle as the dragon's eyelids flip open."
    m "Odette..."
    o "I know, I know.  I just need a bit more."
    
    show cg 06 with dissolve
    "I rummage through my pack and grab a potion as the dragon adjusts its neck to look at us."
    "I see the one I'm looking for and then throw it on the ground frantically.  When it breaks, a thick fog spreads, obscuring the dragon's sight (and it's sense of smell thanks to the scent masking addition suggested by Odette)"
    
    hide cg 06 with dissolve
    "Unfortunately, it also obscures our senses too.  I move through the fog, but instead of finding Odette, I only find rocks."
    "With a few more steps I can see light from the cave's exit.  I imagine Odette will be making her way there too, but what if she needs my help?"
    
    menu:
        
        "Head for the light and hope Odette is making her way out too.":
            jump gotothelight
            
        "Head back and find Odette before leaving.":
            jump getodette
    
          
label gotothelight:
    
    "I head towards the cave's exit, hoping that Odette will follow along shortly or already be on her way out."
    "Eventually I make it outside.  The fog doesn't reach here and I can finally see more than what's directly in front of me."
    "I don't see Odette though."
    "I bite my lip, worry increasing rapidly as I hear the dragon roar from inside the cave."
    "I debate going back in for her, but before I can do that I'm pulled backwards behind a rock."
    
    show o1u with dissolve
    o "Good, you got out."
    
    $ express = "m1a"
    m "That was stupid, you know?  What if I'd screamed or something in surprise?"
    o "Well, you didn't so we don't have to worry about that."
    "I sigh, but ultimately decide to stop arguing with Odette.  Instead I ask about the blood."
    
    $ express = "m1sa"
    m "Did you get enough?"
    o "Yup.  So let's get out of here before the dragon comes out of his cave."
    
    $ express = "m1n"
    m "Right."
    
    hide o1u with dissolve
    "Together we take off down the mountain as fast as we can.  If we clear the area fast enough, the dragon will never discover what had caused his cut."
    "That'd be the best scenario since it'd keep him from coming after us and hopefully anything else in the area."
    stop music fadeout 2
    
    hide bg 03 with dissolve
    show bg 06 with dissolve
    "Luckily, we make it back to the house without being hunted down by the dragon.  When I shut the door behind me both Odette and I break out in a fit of happy laughter."
    
    $ express = "m1h"
    play music "Summer Day.mp3"
    m "We did it!  We actually got all of the ingredients!"
    
    show o1h with dissolve
    o "I know!  It's incredible!  I wasn't so sure we'd be able to get everything, but... Well, we did!"
    m "Yes!  Pixie dust, a mermaid scale, and dragon's blood!  I can't believe we got all of those things without me screwing up somewhere!"
    m "It's... Well, it's the first time I've managed to do something like this."
    
    hide o1h
    show o1n
    "Odette smiles.  She seems genuinely happy for me."
    "...That makes me kind of happy."
    o "I'm counting on you."
    "I blink, wondering what she's talking about."
    o "We still have to make the potion, remember?  We didn't collect all of those ingredients for nothing."
    
    $ express = "m1sa"
    m "Ah, right."
    "I bite my lip, suddenly nervous."
    
    hide o1n
    show o1h
    o "Don't worry.  You've got this.  I'll be around to guide you too so there is no way you can fail."
    
    $ express = "m1n"
    m "Alrighty then.  I guess I'll see what I can do."
    hide o1h

    jump potionmade
    
            
label getodette:
    
    "I head back into the cave searching for Odette, my hands extended out to feel my way around."
    "Luckily, instead of scales the first thing I feel is Odette's clothes-- I think it's her sleeve."
    "I work my way down her arm and find her hand.  I grab it and then pull her along trying to get us both back to the exit."
    "Eventually, we're back outside.  The fog doesn't reach here and I can finally see more than what's directly in front of me."
    "Still, now is no time to stop.  I increase my pace and Odette follows suit as we try to get away from the scene."
    "If we're lucky, we can get away before the dragon is able to figure out that we're the ones how cut him."
    
    hide bg 03 with dissolve
    show bg 06 with dissolve
    stop music fadeout 2
    "We don't stop until we reach my house.  Once I close the door safely shut behind me, I collapse to my knees and sigh in relief."
    
    $ express = "m1sa"
    play music "Summer Day.mp3"
    m "Agh.  I was so worried."
    
    show o1n with dissolve
    o "Yeah?  What happened to Ms. Confident who was so sure that we'd be able to get through it?"
    m "Well, it's a lot easier to say that when you aren't around a gigantic dragon."
    m "And... Well, when I couldn't see you I couldn't help but panic a bit.  I mean, I could use my magic if worse came to worst, but you..."
    o "I had some of your potions.  I probably would have figured something out."
    
    hide o1n
    show o1h
    o "Still, I'm happy you were worried about me."
    "She leans in and pecks me on the cheek as a gesture of her gratitude."
    
    if opoints2:
        "Though, considering her earlier confession, it's not hard to think it was more than just to show her thanks."
        "We both blush brightly before Odette breaks up the awkward tension with a reminder."
        
    hide o1h
    show o1n
    o "Well, I suppose we should get on that potion, huh?  I can't wait to have my magic back."
    m "O-oh yeah..."
    "I had forgotten that we still had to do that."
    o "Don't worry.  You'll do fine.  I'm sure of it."
    
    $ express = "m1a"
    m "Well... I'll give it my all anyway."
    hide o1n with dissolve

    jump potionmade
    
    
label potionmade:    
    
    "I give Erin a call on the mirror and get all the details before starting on the potion.  Both Odette and Erin offer their advice when I look a little lost."
    "Thanks to their assistance, I eventually manage to create a potion that looks to be correct."
    stop music fadeout 2
    
    $ express = "m1sa"
    m "Well, I hope it works."
    "I hand the bottle of green liquid over to Odette.  She swirls the liquid around once and then puts it to her lips."
    "When she's done drinking, she waits a moment for the effects to set in."
    "However, instead of becoming happy she frowns."
    
    show o1u with dissolve
    o "Something's wrong."
    m "Are you sure?"
    o "I can't feel my magic.  It didn't work."
    e "Eh? But I could have sworn that Mira did everything right."
    o "She did.  I was watching too.  I know she didn't do anything wrong.  She followed all the steps perfectly."
    m "Then... Was it the wrong antidote?"
    
    hide o1u
    show o1a
    "Odette looks at Erin in an accusing manner.."
    e "Hey!  It's not my fault!  The flower was the only off ingredient so this potion has to be the antidote!"
    m "Unless..."
    m "Maybe the flower was fine.  Maybe... the thing that was off about my potion were my thoughts."
    
    hide o1a
    show o1u
    o "Your thoughts?"
    m "Yeah.  Potions can change depending on the feelings you put into them..."
    "I blushed, a bit ashamed of myself.  It's true.  I don't meet Odette's gaze when I confess."
    m "And I was thinking bad things about your magic abilities."
    "There is a moment of silence between us before Erin, thankfully, chimes in."
    e "Ah, I see.  If that's the case then the solution is a lot simpler.  All you have to do is give Odette a heartfelt apology."
    m "What? But that's... We did all that work in vain then?"
    e "Well, yeah.  I guess so."
    
    hide o1u
    show o1a
    "Both Odette and I glare at Erin."
    e "H-hey!  If you had told me up front about that I would have had you try it before sending you off to go gather ultra rare ingredients."
    e "So stop scolding me and get going on your apology."
    
    hide o1a
    show o1u
    m "...Right."
    
    play music "Village Dawn.mp3"
    "When I think about it, I wouldn't have been able to give Odette a sincere apology at the start of our crazy ingredient quest."
    "But now..."
    "Yeah, I think I can do it."
    
    $ express = "m1a"
    m "When I made that potion I let jealousy get the best of me."
    m "I hated that you were always able to beat me and I was frustrated that I never seemed to get any better."
    
    $ express = "m1sa"
    m "I guess... It's not your fault that you're good at magic.  I just have to accept that.  And I have to accept that it will be probably always be harder for me to learn magic than it is for you."
    
    $ express = "m1a"
    m "But that's okay.  We all have our different paces and just because you're faster doesn't mean I'm going to let you be better."
    m "I'm going to become stronger than you-- all slow and steady like!"
    
    hide o1u
    show o1n
    o "...You might be getting a little off topic, Mira."
    
    $ express = "m1sa"
    m "Ah!  Oh, right!"
    
    $ express = "m1a"
    m "The point is I'm sorry and I take it back what I thought when I made that potion.  I want you to have your powers back."
    "Odette smiles at me warmly.  Before I can wonder if it worked, she shows me by creating a small light in the palm of her hand."
    
    hide o1n
    show o1h
    o "It worked.  It really worked."
    
    $ express = "m1h"
    m "Good.  I'm glad."
    
    $ express = "m1sa"
    m "And I'm sorry I caused so much trouble."
    
    hide o1h
    show o1n
    o "Don't be.  I mean, we did have to go through a bunch of crud because of it, but I'm actually kind of glad."
    "She blushes and fidgits slightly."
    e "Well, we're done here so I'm going to hang up now."
    e "You two take care, okay?"
    m "Ah, yeah.  We will.  Later, Erin."
    "Erin nods and then exits the mirror.  That just leaves Odette and I."
    
    hide o1n

    if opoints:
        
        jump end03
        
    else:    
        
        jump end04
    
label end01:
    
    show o1h
    o "Heheh.  I suppose all that hating must have taken a lot out of you."
    
    $ express = "m1h"
    m "You'd better believe it."
    
    hide o1h with dissolve
    show s1s with dissolve
    "Sybelle steps forward a small smile on her face."
    s "Well, congrats.  It seems everything has worked out."
    s "Now, if you'll excuse me, I have the rest of my vacation to enjoy."
    
    $ express = "m1s"
    m "Ah, that's right.  Sorry for keeping you from it and thank you for all your help."
    s "No problem."
    s "Oh, one more thing before I go.  Mira, you're always welcome back at the school so don't be a stranger, alright?"
    
    hide s1s with dissolve
    "I nod.  Sybelle gives me a wink and then heads out, leaving Odette and I alone."
    
    show o1n with dissolve
    o "I guess... I should be heading out too, huh?"
    
    $ express = "m1n"
    m "Eh? Why?"
    
    hide o1n
    show o1u
    o "Well, I have my abilities back.  I don't really have an excuse to bother you anymore."
    m "That's what you're worried about?"
    
    $ express = "m1s"
    m "Odette, we're friends now so you don't need an excuse.  You can come over whenever you want."
    o "Really?"
    
    $ express = "m1h"
    m "Yeah."
    
    hide o1u
    show o1h
    o "Then can I spend one more night here before going back home tomorrow?"
    m "Yeah, I don't see a problem with that."
    "She jumps me and gives me a tight hug.  I'm a bit surprised by the action, but it's not like it's unpleasant."
    "It ends a little too quickly, but I suppose that there will be plenty more in the future."
    hide o1h with dissolve
    
    if opoints2:
        
        hide bg 06 with dissolve
        show bg 05b with dissolve
        show o1u with dissolve
        "That night, I wake up to find Odette staring out the window.  I rub my eyes, trying to get them to open more, but the fact that I'm sleepy makes it take awhile."
        
        $ express = "m1n"
        m "Can't sleep?"
        o "No.  I can't."
        m "What's wrong?"
        o "Well... I've been thinking there is something I should tell you.  I've been thinking that for awhile now actually."
        m "Then tell me.  I am right here you know."
        o "It's not something that's easy to say."
        m "Well... You can either say it or keep quiet and worry about it forever."
        
        hide o1u
        show o1n
        o "I guess I see your point."
        
        hide o1n
        show o1u
        o "............."
        o "You know, when I came to your shop for the first time... It wasn't to make fun of you or anything like that."
        o "I was actually really sad when you left the school.  All the other girls... They hated me too, but you're the only one who'd say it to my face."
        o "The rest of them would just bicker behind my back and not associate with me at all.  But you... You were always issuing challenges.  You never avoided me like the others."
        o "It's pretty sad, but my relationship with you was the best one I had back then."
        o "And... Well, I kind of..."
        o "Developed a crush on you."
        "I blink.  That's pretty surprising.  I had always thought that I wasn't important to anyone, but hearing that...."
        "I know she's a girl, but I find I'm happy about it.  I don't think I'd be any happier if I was being confessed to by some dreamy looking guy."
        o "...I thought I wouldn't see you again, but then I'd heard that a witch had set up shop in the mountains.  I didn't know if it was you, but I had to check because I really wanted to see you again."
        o "...So that's that.  I bet you think I'm stupid or something."
        
        $ express = "m1s"
        m "Odette... I don't think you're stupid."
        
        hide o1u with dissolve
        "I lean in and kiss her on the lips.  They're unbelievably soft, so much so I go in for another one just to feel them again."
        "It was kind of a whim, but I am really curious."
        "I didn't think that I'd ever be friends with Odette, but now I am.  I wonder...  I wonder if we can actually end up being more."
        "I'm willing to try this out if Odette is."
        m "I can't promise I'll be a good partner, but... I want to give it a try."
        m "So... I guess what I'm asking is will you be my girlfriend?"
        "She smiles brightly."
        
        show cg 09 with dissolve
        "For an answer, she gives me a kiss."
        
        "..............................................."
        "Ending 01 -- Girlfriend"
        call credits
        
        return
    
    "We spend the night chatting, going over a variety of subjects including our old school days."
    "It's a pleasant night, but eventually we have to go to sleep."
    "Before that however, Odette initiates one last conversation."
    
    show o1u with dissolve
    o "Hey, it's okay if I come visit a lot, isn't it?  To the point of being annoying even?"
    
    $ express = "m1n"
    m "Exactly how frequently are you plannning on swinging by?"
    o "A couple times a week... at least."
    
    $ express = "m1s"
    m "Heh.  Alright.  That's fine.  I might put you to work though."
    
    hide o1u
    show o1h
    o "Maybe you'll finally get some customers if I help out."
    
    $ express = "m1n"
    m "Right, your visiting priviliges have been revoked."
    o "I was kidding!"
    
    $ express = "m1h"
    m "So was I.  You can come anytime-- even if you are a jerk."
    
    hide o1h
    show o1n
    o "Heh.  Good.  I'm really happy then."
    o "Let's be good friends forever, okay?"
    m "Yeah, yeah. Fine."
    
    hide o1n with dissolve
    show cg 14 with dissolve
    "I say it dismissively, but the truth is I'm delighted by that concept."
    "It looks like I'm not alone in the world anymore.  No longer will Mira have to face her desolate shop every day."
    "Odette might be the only one who ever visits, but... That's okay.  It'll be a lot more fun with her around."
    
    "..............................................."
    "Ending 02 -- Friend"
    call credits
    
    
    return
    
label end02:
    
    
    show o1n
    o "Well, I guess I should get going home.  I've overstayed my welcome I think."
    
    hide o1n
    show o1h
    o "Still, expect me to drop by.  I plan on annoying you from time to time."
    
    $ express = "m1s"
    m "I'm looking forward to it."
    
    hide o1h with dissolve
    "Odette chuckles and then gives me a tight hug before taking her leave.  I smile, happy that things will be a little less lonely around the place."
    stop music fadeout 2
    play music "Summer Day.mp3"
    
    show s1s with dissolve
    s "Well, I'm glad that worked out for the both of you.  It's a vast improvement compared to how you used to be."
    m "Yeah, I agree."
    s "I guess I should inform you that Odette won't be the only one visiting you from time to time."
    m "You're going to drop by too?"
    
    hide s1s
    show s1h
    s "That is the plan."
    
    hide s1h
    show s1s
    s "It'll be good to see how your magical abilities develop over time."
    s "After what I've seen today I think you'll become a very talented witch, despite your rocky start."
    
    $ express = "m1sa"
    m "R-really?"
    s "Really."
    
    $ express = "m1h"
    m "Y-you have no idea how wonderful that makes me feel."
    m "I always kind of felt that no matter how hard I tried I'd only be mediocre at best, but I couldn't bear that thought so I kept ignoring it and trying anyway."
    "Sybelle smiles and pats me on the head as I start to tear up.  It's kind of pathetic, but I am a little overwhelmed with happiness right now."
    s "And if you have some questions when I come by, well, I suppose I can help you out."
    
    if earlysybelle:
        
        hide s1s
        show s1h
        s "Of course, if I'm honest, I'll mostly be coming by to enjoy the hotsprings."
        
        hide s1h
        show s1s
        s "Taking my time relaxing in them was a divine experience really.  You're very lucky that you live so close to them."
        
        $ express = "m1n"
        m "Well, you could always move to the mountains too, you know?"
        
        hide s1s
        show s1n
        s "*Sigh* That sounds nice, but I do have my duties as principal to consider.  I probably should stay close to the school."
        
        $ express = "m1s"
        m "Yeah.  I guess I see your point."
        m "Still, if you ever want to stay at my shop for awhile to have easier access to the hot springs you can.  I don't mind at all."
        
        hide s1n
        show s1s
        s "Now there is an idea."
        s "You'd probably get a lot more people to come if you opened a hot spring resort."
        m "I probably could make money off of it, huh?"
        m "But I don't really want to do that.  Even if it's good for business I don't want to turn this area into a tourist trap."
        hide s1s
        show s1h
        s "I understand."
        
        hide s1h with dissolve
        show cg 11 with dissolve
        stop music fadeout 2
        play music "Monkeys Spinning Monkeys.mp3"
        "Sybelle chuckles and then leans in close."
        s "And in any case, I suppose it is more fun if it's just our little secret."
        s "You'll join me when I go, yes?"
        
        $ express = "m1n"
        m "Well, yeah.  I guess, I don't see why not."
        s "Good."
        s "I'm sure we'll have a lot of fun together."
        "I blush, not sure what to make of that line.  It might be nothing, but it did come off as a bit suggestive."
        "Well, I guess I'll have a lot of time to figure it out from now on."
        
        "..............................................."
        "Ending 03 -- Bathing Buddies(?)"
        call credits
        
        return
    
    $ express = "m1sa"
    m "Even if I'm totally hopeless and I can't seem to get anything right?"
    
    hide s1s
    show s1h
    s "Yup.  If you don't give up, I won't either."
    
    hide s1h
    show s1s
    s "Besides, helping you will help me figure out how to help students that come to me with similar problems."
    
    $ express = "m1n"
    m "So... I'm teaching you?"
    s "Don't get ahead of yourself.  You're not getting nothing out of it."
    s "Let's just call it a trade.  How about that?"
    
    $ express = "m1h"
    m "Right!  Sounds good to me!"
    s "Your enthusiasm is contagious."
    
    hide s1s
    show s1h
    s "Why don't we start right now?"
    
    $ express = "m1n"
    m "Eh?"
    
    hide s1h with dissolve
    show cg 12 with dissolve
    stop music fadeout 2
    play music "Monkeys Spinning Monkeys.mp3"
    s "You heard me.  Start looking through your books and pick out a potion."
    s "I'll guide you every step of the way."
    "I stand there, a bit stunned."
    s "Get going.  If you're going to be the best witch ever then you've got to practice, practice, practice!"
    m "O-okay then."
    
    "..............................................."
    "Ending 04 -- Master of Magic"
    call credits
    
    return
    
    
label end03:
    
    show o1u
    o "So..."
    o "What now?"
    
    $ express = "m1n"
    m "Eh? What do you mean?"
    o "Well, I've got my powers back so you probably want me to go home, huh?"
    o "I mean, you've put up with me for a few days.  You're probably tired of me by now, right?"
    m "...No.  Not really."
    m "Actually..."
    m "Having company is really nice.  Things can get pretty dull with nobody around."
    m "So... you can actually stay as long as you want and visit whenever.  I'm okay with it."
    
    if opoints2:
        
        o "Even after what I told you..."
        "She must be talking about her confession."
        "It's true that I wasn't sure how to feel about it at first, but I've been thinking about things since then."
        $ express = "m1s"
        m "Yeah."
        m "Actually... can I try something?"
        o "Huh? I guess..."
        
        hide o1u with dissolve
        "I lean in and kiss her.  Her lips are unbelievably soft."
        "She's clearly surprised for the first few seconds, but then she relaxes."
        "She kisses me back and my heart actually starts to race."
        "It doesn't feel weird at all.  I thought it might, but it doesn't.  It feels natural and I end up kissing her again."
        "When we finally part, we're both blushing brightly."
        
        show o1u with dissolve
        o "T-that..."
        m "It was good for you too, right?"
        "She nods shyly."
        
        $ express = "m1n"
        m "Umm... Odette..."
        m "You should just stay."
        m "Maybe forever."
        m "If you want to of course."
        
        hide o1u
        show o1n
        o "It's a little early to be making a commitment like that, isn't it?"
        
        $ express = "m1sa"
        m "*Sigh* I guess you're right."
        "I know she's just stating the facts, but I feel a bit rejected."
        o "But I don't see the harm in trying.  If you find you can't stand me, you can always kick me out later, right?"
        
        $ express = "m1s"
        m "I could, but I have a feeling that I'm not going to."
        
        hide o1n with dissolve
        show cg 13
        "I lean in and kiss her again.  She smiles and then wraps her arms around my shoulders before leaning into it."
        
        "..............................................."
        "Ending 05 -- Relationship"
        call credits
        
        return
     
    hide o1u
    show o1n
    stop music fadeout 2
    play music "Summer Day.mp3"
    
    o "That's a generous offer."
    
    $ express = "m1s"
    m "Yeah, well, maybe all this isolation is getting to me."
    o "You know, you could always just move to the village or something.  You don't have to stay here."
    m "True, but I like being surrounded by nature.  And now I know it's pretty good location to get some rare ingredients."
    if creative:
        m "I hit it off well with the pixies too.  I'm pretty sure I can get pixie dust whenever I want."
    o "That's true."
    
    hide o1n
    show o1h
    o "You know, make some more difficult potions and sell some rare ingredients and your shop could end up being a big hit."
    
    $ express = "m1sa"
    m "But the location..."
    
    hide o1h
    show o1n
    o "Witches can teleport.  It's not a problem for them.  Your problem is that you're catering to normal people when they don't have an easy way to get up here."
    
    $ express = "m1n"
    "She's right."
    o "If you still want to sell things to them, why don't you just take some of your stuff to the market on weekends."
    o "Do both and you'll probably do even better."
    
    $ expres = "m1s"
    m "Those are actually good ideas..."
    
    hide o1n
    show o1h
    o "Though... If you really want to be sucessful... Why don't you hire me?"
    
    $ express = "m1n"
    m "Eh?"
    
    hide o1h
    show o1n
    o "I could help you with your potions until you get better at them and I do know a lot of witches looking for good ingredients.  They might not all like me, but I think they trust my judgement."
    
    $ express = "m1s"
    m "Fine, you're hired."
    
    hide o1n
    show o1h
    o "Haha.  Seriously?"
    m "Yeah.  You've made your point.  I hope you weren't joking with me."
    
    hide o1h
    show o1n
    o "Well... I kinda was..."
    o "But... I think I will do it.  Working with you will be a lot of fun."
    "I smile to myself thinking the same thing."
    o "Well, I'd better head home for now."
    
    $ express = "m1sa"
    m "What?  But I thought..."
    o "I'll be back silly.  I just need to get some of my stuff if I'm going to be spending most of my time here."
    
    hide o1n with dissolve
    show cg 10 with dissolve
    "She approaches the door and turns around as she is about to exit."
    o "We'll start bright and early tomorrow, okay?"
    
    $ express = "m1h"
    m "Right.  Bright and early!"
    "I'm looking forward to it."
    
    "..............................................."
    "Ending 06 -- Friendly Co-workers"
    call credits
        
    return
    
label end04:
    
    show o1u
    o "Well, I guess that's that.  I've got my powers back so there isn't much reason to keep bothering you, is there?"
    
    $ express = "m1n"
    m "..."
    m "You don't need a reason, you know?"
    m "You can just visit whenever."
    
    stop music fadeout 2
    play music "Moonlight Hall.mp3"
    m "I mean, I didn't exactly invite you the first time.  I don't see why you'd suddenly develop manners."
    
    hide o1u
    show o1n
    o "Heh.  You have a point."
    o "I'll come back then.  That means you better work on making higher level potions."
    m "Eh?"
    o "When I come back, I'll drag in some other people along with me."
    o "If you want them to come back, you better make it worth their while, right?"
    "I tear up with happiness.  Odette's giving me a chance to get customers-- actual customers."
    
    hide o1n with dissolve
    show cg 15 with dissolve
    "I jump her and take her into a tight hug."
    m "You bring back lots of people, okay?  I promise I won't make your recommendations go to waste!"
    m "I'm going to work so hard at developing my magic that even you'll come buy stuff because it's too hard for even you to make!"
    o "Hey now, don't get ahead of yourself."
    o "I'll be working on my skills too.  There's no way I'm letting you get to a higher level than me."
    m "We'll see about that."
    o "Haha!  Fine.  May the best witch win!"
    
    "..............................................."
    "Ending 07 -- Life Long Rivals"
    call credits
    
    return
    
    label credits:
    $ credits_speed = 15
    scene black
    with dissolve
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    return
    
init python:
    credits = ('Writing, Art, and Programming', 'SilverHyena'), ('Music', '{i}Expedtionary{/i} Kevin MacLeod (incompetech.com)'), ('Music', '{i}Monkeys Spinning Monkeys{/i} Kevin MacLeod (incompetech.com)'), ('Music', '{i}Moonlight Hall{/i} Kevin MacLeod (incompetech.com)'), ('Music', '{i}Summer Day{/i} Kevin MacLeod (incompetech.com)'), ('Music', '{i}Village Dawn{/i} Kevin MacLeod (incompetech.com)')
    credits_s = "{size=80}Credits\n\n"
    c1 = ''
    for c in credits:
        if not c1==c[0]:
            credits_s += "\n{size=40}" + c[0] + "\n"
        credits_s += "{size=50}" + c[1] + "\n"
        c1=c[0]
    credits_s += "\n{size=40}Engine\n{size=60}Ren'py\n6.15.4"
    
init:
    image cred = Text(credits_s, text_align=0.5)
    image thanks = Text("{size=80}Thank you for playing!", text_align=0.5) 
